(define (domain WITAS-DDDL-COMPILED)
  (:requirements :typing :equality :conditional-effects :fluents)

  (:types
   FLY3D - TASK
   AUTOTAKEOFF - TASK
   AUTOLAND - TASK
   BASICCAMERACONTROL - TASK
   NAVTOPOINT - TASK
   DOATPOINTS - TASK
   PHOTOGRAMETRY - TASK
   TASK - CALLER
   CALLER - OBSERVABLE
   HELICOPTER - OBSERVABLE
   MESSAGE - OBSERVABLE
   OBSERVABLE - OBJECT
   OBSERVATION - OBJECT
   HYPOTHESIS - OBJECT)

  (:constants
   LOST - MESSAGE
   CREATED - MESSAGE
   DESTROYED - MESSAGE
   TASK-DONE - MESSAGE
   FAIL-SERVICE - MESSAGE
   FAIL-SPECIFIC-221 - MESSAGE
   FAIL-SPECIFIC-222 - MESSAGE
   FAIL-SPECIFIC-223 - MESSAGE
   FAIL-SPECIFIC-220 - MESSAGE
   FAIL-SPECIFIC-210 - MESSAGE
   FAIL-SPECIFIC-211 - MESSAGE
   FAIL-SPECIFIC-213 - MESSAGE
   FAIL-SPECIFIC-214 - MESSAGE
   CHECKPOINT10 - MESSAGE
   CHECKPOINT11 - MESSAGE
   CHECKPOINT12 - MESSAGE
   CHECKPOINT20 - MESSAGE
   CHECKPOINT21 - MESSAGE
   CHECKPOINT22 - MESSAGE
   CHECKPOINT24 - MESSAGE
   CHECKPOINT30 - MESSAGE
   CHECKPOINT31 - MESSAGE
   CHECKPOINT40 - MESSAGE
   FCL-EVENT-FINISHED - MESSAGE
   FCL-EVENT-CANCELED - MESSAGE
   FCL-EVENT-MANUAL - MESSAGE
   FCL-EVENT-NOT_ACCEPTED - MESSAGE
   FCL-EVENT-TRAJ3D_NEXT_SEGMENT - MESSAGE
   FCL-EVENT-IN_THE_AIR - MESSAGE
   FCL-EVENT-ON_THE_GROUND - MESSAGE
   FCL-RETURN-FINISHED - MESSAGE
   FCL-RETURN-CANCELED - MESSAGE
   FCL-RETURN-MANUAL - MESSAGE
   FCL-RETURN-NOT_ACCEPTED - MESSAGE
   FAIL-SPECIFIC-101 - MESSAGE
   FAIL-SPECIFIC-102 - MESSAGE
   CHECKPOINT1 - MESSAGE
   CHECKPOINT2 - MESSAGE
   CHECKPOINT3 - MESSAGE
   CHECKPOINT7 - MESSAGE
   CHECKPOINT5 - MESSAGE
   CHECKPOINT6 - MESSAGE
   FAIL-SPECIFIC-212 - MESSAGE
   CHECKPOINT41 - MESSAGE
   CHECKPOINT42 - MESSAGE
   FAIL-SPECIFIC-310 - MESSAGE
   FAIL-SPECIFIC-401 - MESSAGE
   FAIL-SPECIFIC-402 - MESSAGE
   FAIL-SPECIFIC-700 - MESSAGE
   CHECKPOINT101 - MESSAGE
   CHECKPOINT102 - MESSAGE
   CHECKPOINT104 - MESSAGE
   CHECKPOINT111 - MESSAGE
   CHECKPOINT112 - MESSAGE
   CHECKPOINT201 - MESSAGE
   CHECKPOINT301 - MESSAGE
   CHECKPOINT311 - MESSAGE
   CHECKPOINT312 - MESSAGE
   CHECKPOINT400 - MESSAGE
   CHECKPOINT404 - MESSAGE
   CHECKPOINT410 - MESSAGE
   CHECKPOINT700 - MESSAGE
   CCL-EVENT-ELEVATION_NOT_REACHABLE - MESSAGE
   CCL-EVENT-AZIMUTH_NOT_REACHABLE - MESSAGE
   CCL-EVENT-GOAL_ELEVATION_ACHIEVED - MESSAGE
   CCL-EVENT-GOAL_AZIMUTH_ACHIEVED - MESSAGE
   CCL-EVENT-GOAL_HFOV_ACHIEVED - MESSAGE
   CCL-EVENT-GOAL_ELEVATION_NOT_ACHIEVED - MESSAGE
   CCL-EVENT-GOAL_AZIMUTH_NOT_ACHIEVED - MESSAGE
   CCL-EVENT-HFOV_NOT_REACHABLE - MESSAGE
   CCL-EVENT-GOAL_HFOV_NOT_ACHIEVED - MESSAGE
   CCL-EVENT-CCL_INITIALIZING - MESSAGE
   CCL-EVENT-CCL_INITIALIZING_FINISHED - MESSAGE
   CCL-EVENT-CCL_MANUAL_CONTROL - MESSAGE
   CCL-EVENT-CCL_IPC_CONTROL - MESSAGE
   CCL-EVENT-CCL_DRC_CONTROL - MESSAGE
   FAIL-SPECIFIC-403 - MESSAGE
   FAIL-SPECIFIC-404 - MESSAGE
   FAIL-SUBTASK - MESSAGE
   CHECKPOINT4 - MESSAGE
   FAIL-SPECIFIC-202 - MESSAGE
   FAIL-SPECIFIC-203 - MESSAGE
   FAIL-SPECIFIC-301 - MESSAGE
   FAIL-SPECIFIC-302 - MESSAGE
   FAIL-SPECIFIC-777 - MESSAGE
   CHECKPOINT8 - MESSAGE
   CHECKPOINT9 - MESSAGE
   CHECKPOINT13 - MESSAGE
   FAIL-SPECIFIC-219 - MESSAGE
   MISSIONEXECUTOR - CALLER)

  (:predicates
   (STATIC-TRUE)
   (TASK-RUNNING-ON ?T - TASK ?H - HELICOPTER)
   (CALLED-BY ?T - TASK ?C - CALLER)
   (MATCHES-1 ?O - OBSERVATION ?M - MESSAGE)
   (MATCHES-2 ?O - OBSERVATION ?S - OBSERVABLE ?M - MESSAGE)
   (MATCHES-3 ?O - OBSERVATION ?S - OBSERVABLE ?M - MESSAGE ?D -
       OBSERVABLE)
   (FUTURE ?O - OBSERVATION)
   (PENDING ?O - OBSERVATION)
   (OBSERVED ?O - OBSERVATION)
   (PRECEDES-1 ?O - OBSERVATION ?O1 - OBSERVATION)
   (PRECEDES-2 ?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION)
   (PRECEDES-3 ?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3
       - OBSERVATION)
   (PRECEDES-4 ?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3
       - OBSERVATION ?O4 - OBSERVATION)
   (PRECEDES-5 ?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3
       - OBSERVATION ?O4 - OBSERVATION ?O5 - OBSERVATION)
   (PRECEDES-6 ?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3
       - OBSERVATION ?O4 - OBSERVATION ?O5 - OBSERVATION ?O6 -
       OBSERVATION)
   (PRECEDES-7 ?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3
       - OBSERVATION ?O4 - OBSERVATION ?O5 - OBSERVATION ?O6 -
       OBSERVATION ?O7 - OBSERVATION)
   (PRECEDES-8 ?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3
       - OBSERVATION ?O4 - OBSERVATION ?O5 - OBSERVATION ?O6 -
       OBSERVATION ?O7 - OBSERVATION ?O8 - OBSERVATION)
   (PRECEDES-9 ?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3
       - OBSERVATION ?O4 - OBSERVATION ?O5 - OBSERVATION ?O6 -
       OBSERVATION ?O7 - OBSERVATION ?O8 - OBSERVATION ?O9 -
       OBSERVATION)
   (PRECEDES-10 ?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION
       ?O3 - OBSERVATION ?O4 - OBSERVATION ?O5 - OBSERVATION ?O6 -
       OBSERVATION ?O7 - OBSERVATION ?O8 - OBSERVATION ?O9 -
       OBSERVATION ?O10 - OBSERVATION)
   (PRECEDES-11 ?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION
       ?O3 - OBSERVATION ?O4 - OBSERVATION ?O5 - OBSERVATION ?O6 -
       OBSERVATION ?O7 - OBSERVATION ?O8 - OBSERVATION ?O9 -
       OBSERVATION ?O10 - OBSERVATION ?O11 - OBSERVATION)
   (DOMINATES-2 ?H - HYPOTHESIS ?A1 ?A2 - OBSERVABLE)
   (DOMINATES-3 ?H - HYPOTHESIS ?A1 ?A2 ?A3 - OBSERVABLE)
   (DOMINATES-4 ?H - HYPOTHESIS ?A1 ?A2 ?A3 ?A4 - OBSERVABLE)
   (FLY3D-MODE-IS-PRE_INIT ?T - FLY3D)
   (FLY3D-MODE-IS-PROCESSING ?T - FLY3D)
   (FLY3D-MODE-IS-READY ?T - FLY3D)
   (FLY3D-MODE-IS-RUNNING ?T - FLY3D)
   (FLY3D-MODE-IS-DONE ?T - FLY3D)
   (FLY3D-MODE-IS-FAILED ?T - FLY3D)
   (FLY3D-MODE-IS-DESTROYED ?T - FLY3D)
   (FLY3D-IN_START_CALL-IS-YES ?T - FLY3D)
   (FLY3D-IN_START_CALL-IS-NO ?T - FLY3D)
   (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T - FLY3D)
   (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND ?T - FLY3D)
   (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T - FLY3D)
   (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T - FLY3D)
   (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T - FLY3D)
   (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T - FLY3D)
   (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T - FLY3D)
   (FLY3D-FSM_EXEC-IS-NOTHING ?T - FLY3D)
   (FLY3D-FSM_EXEC-IS-START ?T - FLY3D)
   (FLY3D-FSM_EXEC-IS-ACTION1 ?T - FLY3D)
   (FLY3D-FSM_EXEC-IS-ACTION2 ?T - FLY3D)
   (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T - FLY3D)
   (FLY3D-FSM_EXEC-IS-ACTION2-FAIL ?T - FLY3D)
   (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T - FLY3D)
   (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T - FLY3D)
   (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T - FLY3D)
   (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T - FLY3D)
   (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T - FLY3D)
   (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_CANCEL_1 ?T - FLY3D)
   (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_ERROR_1 ?T - FLY3D)
   (FLY3D-TRAJECTORY-NOT-SENT ?T - FLY3D)
   (AUTOTAKEOFF-MODE-IS-PRE_INIT ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-MODE-IS-PROCESSING ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-MODE-IS-READY ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-MODE-IS-RUNNING ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-MODE-IS-DONE ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-MODE-IS-FAILED ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-MODE-IS-DESTROYED ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-IN_START_CALL-IS-YES ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-FSM_EXEC-IS-START ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2 ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-EXIT ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-CLIMB ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_1 ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_2 ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T - AUTOTAKEOFF)
   (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_ERROR_1 ?T - AUTOTAKEOFF)
   (AUTOLAND-MODE-IS-PRE_INIT ?T - AUTOLAND)
   (AUTOLAND-MODE-IS-PROCESSING ?T - AUTOLAND)
   (AUTOLAND-MODE-IS-READY ?T - AUTOLAND)
   (AUTOLAND-MODE-IS-RUNNING ?T - AUTOLAND)
   (AUTOLAND-MODE-IS-DONE ?T - AUTOLAND)
   (AUTOLAND-MODE-IS-FAILED ?T - AUTOLAND)
   (AUTOLAND-MODE-IS-DESTROYED ?T - AUTOLAND)
   (AUTOLAND-IN_START_CALL-IS-NO ?T - AUTOLAND)
   (AUTOLAND-IN_START_CALL-IS-YES ?T - AUTOLAND)
   (AUTOLAND-FSM_STATE-IS-START_DECOUPLE ?T - AUTOLAND)
   (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T - AUTOLAND)
   (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING ?T - AUTOLAND)
   (AUTOLAND-FSM_STATE-IS-LOOK_AT_PATTERN ?T - AUTOLAND)
   (AUTOLAND-FSM_STATE-IS-READY_TO_LAND ?T - AUTOLAND)
   (AUTOLAND-FSM_STATE-IS-LAND ?T - AUTOLAND)
   (AUTOLAND-FSM_EXEC-IS-NOTHING ?T - AUTOLAND)
   (AUTOLAND-FSM_EXEC-IS-START ?T - AUTOLAND)
   (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T - AUTOLAND)
   (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T - AUTOLAND)
   (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T - AUTOLAND)
   (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T - AUTOLAND)
   (AUTOLAND-FSM_EXEC-IS-REACTION_FINISHED_1 ?T - AUTOLAND)
   (AUTOLAND-FSM_EXEC-IS-REACTION_FINISHED_2 ?T - AUTOLAND)
   (AUTOLAND-FSM_EXEC-IS-REACTION_ERROR_1 ?T - AUTOLAND)
   (BASICCAMERACONTROL-MODE-IS-PRE_INIT ?T - BASICCAMERACONTROL)
   (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T - BASICCAMERACONTROL)
   (BASICCAMERACONTROL-MODE-IS-READY ?T - BASICCAMERACONTROL)
   (BASICCAMERACONTROL-MODE-IS-RUNNING ?T - BASICCAMERACONTROL)
   (BASICCAMERACONTROL-MODE-IS-DONE ?T - BASICCAMERACONTROL)
   (BASICCAMERACONTROL-MODE-IS-FAILED ?T - BASICCAMERACONTROL)
   (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T - BASICCAMERACONTROL)
   (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T - BASICCAMERACONTROL)
   (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T - BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T - BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE ?T -
       BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL ?T -
       BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE ?T -
       BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T -
       BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING ?T -
       BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND ?T -
       BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT ?T -
       BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND ?T -
       BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION ?T -
       BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T - BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE ?T -
       BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND ?T -
       BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED ?T -
       BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND ?T -
       BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T - BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_EXEC-IS-START ?T - BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T - BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T - BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_EXEC-IS-ELEVATION_LOST_REACTION1 ?T -
       BASICCAMERACONTROL)
   (BASICCAMERACONTROL-FSM_EXEC-IS-AZIMUTH_LOST_REACTION1 ?T -
       BASICCAMERACONTROL)
   (NAVTOPOINT-MODE-IS-PRE_INIT ?T - NAVTOPOINT)
   (NAVTOPOINT-MODE-IS-PROCESSING ?T - NAVTOPOINT)
   (NAVTOPOINT-MODE-IS-READY ?T - NAVTOPOINT)
   (NAVTOPOINT-MODE-IS-RUNNING ?T - NAVTOPOINT)
   (NAVTOPOINT-MODE-IS-DONE ?T - NAVTOPOINT)
   (NAVTOPOINT-MODE-IS-FAILED ?T - NAVTOPOINT)
   (NAVTOPOINT-MODE-IS-DESTROYED ?T - NAVTOPOINT)
   (NAVTOPOINT-IN_START_CALL-IS-NO ?T - NAVTOPOINT)
   (NAVTOPOINT-IN_START_CALL-IS-YES ?T - NAVTOPOINT)
   (NAVTOPOINT-FSM_STATE-IS-START_DECOUPLE ?T - NAVTOPOINT)
   (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T - NAVTOPOINT)
   (NAVTOPOINT-FSM_STATE-IS-WAIT_FOR_GO ?T - NAVTOPOINT)
   (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T - NAVTOPOINT)
   (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T - NAVTOPOINT)
   (NAVTOPOINT-FSM_EXEC-IS-START ?T - NAVTOPOINT)
   (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T - NAVTOPOINT)
   (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T - NAVTOPOINT)
   (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_READY ?T - NAVTOPOINT)
   (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T - NAVTOPOINT)
   (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_2 ?T - NAVTOPOINT)
   (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T - NAVTOPOINT)
   (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_2 ?T - NAVTOPOINT)
   (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T - NAVTOPOINT ?ST - FLY3D)
   (DOATPOINTS-MODE-IS-PRE_INIT ?T - DOATPOINTS)
   (DOATPOINTS-MODE-IS-PROCESSING ?T - DOATPOINTS)
   (DOATPOINTS-MODE-IS-READY ?T - DOATPOINTS)
   (DOATPOINTS-MODE-IS-RUNNING ?T - DOATPOINTS)
   (DOATPOINTS-MODE-IS-DONE ?T - DOATPOINTS)
   (DOATPOINTS-MODE-IS-FAILED ?T - DOATPOINTS)
   (DOATPOINTS-MODE-IS-DESTROYED ?T - DOATPOINTS)
   (DOATPOINTS-IN_START_CALL-IS-NO ?T - DOATPOINTS)
   (DOATPOINTS-IN_START_CALL-IS-YES ?T - DOATPOINTS)
   (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T - DOATPOINTS)
   (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T - DOATPOINTS)
   (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T - DOATPOINTS)
   (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T - DOATPOINTS)
   (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION ?T - DOATPOINTS)
   (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T - DOATPOINTS)
   (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T - DOATPOINTS)
   (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T - DOATPOINTS)
   (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T - DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T - DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-START ?T - DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T - DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T - DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-ACTION3 ?T - DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_1 ?T - DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_2 ?T - DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T - DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_2 ?T - DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T - DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_2 ?T - DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_1 ?T -
       DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2 ?T -
       DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2 ?T -
       DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1 ?T -
       DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2 ?T -
       DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1 ?T -
       DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2 ?T -
       DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1 ?T -
       DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2 ?T -
       DOATPOINTS)
   (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1 ?T - DOATPOINTS)
   (DOATPOINTS-DEFERRED-EVENT-READY ?T - DOATPOINTS)
   (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T - DOATPOINTS)
   (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T - DOATPOINTS)
   (DOATPOINTS-DEFERRED-EVENT-DONE ?T - DOATPOINTS)
   (DOATPOINTS-FLY3D-TASK ?T - DOATPOINTS ?ST - FLY3D)
   (DOATPOINTS-MISSION-TASK ?T - DOATPOINTS ?ST - TASK)
   (PHOTOGRAMETRY-MODE-IS-PRE_INIT ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-MODE-IS-PROCESSING ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-MODE-IS-READY ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-MODE-IS-RUNNING ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-MODE-IS-DONE ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-MODE-IS-FAILED ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-MODE-IS-DESTROYED ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-IN_START_CALL-IS-NO ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-IN_START_CALL-IS-YES ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-FSM_EXEC-IS-START ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1 ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1-WAIT ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_READY ?T -
       PHOTOGRAMETRY)
   (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_1 ?T -
       PHOTOGRAMETRY)
   (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_2 ?T -
       PHOTOGRAMETRY)
   (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1 ?T -
       PHOTOGRAMETRY)
   (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_2 ?T -
       PHOTOGRAMETRY)
   (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_NEW_WP_TASK ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_BCC_ON_TARGET ?T -
       PHOTOGRAMETRY)
   (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-READY ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-RUNNING ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-DONE ?T - PHOTOGRAMETRY)
   (PHOTOGRAMETRY-PLAN-TASK ?T - PHOTOGRAMETRY ?ST - DOATPOINTS)
   (PHOTOGRAMETRY-WP-TASK ?T - PHOTOGRAMETRY ?ST - TASK)
   (MISSIONEXEC-ACTIVE-MISSION ?H - HELICOPTER ?T - TASK)
   (MISSIONEXEC-MISSION-IDLE ?H - HELICOPTER)
   (MISSIONEXEC-MISSION-INIT-CALL ?H - HELICOPTER)
   (MISSIONEXEC-MISSION-READY ?H - HELICOPTER)
   (MISSIONEXEC-MISSION-START-CALL ?H - HELICOPTER)
   (MISSIONEXEC-MISSION-RUNNING ?H - HELICOPTER)
   (MISSIONEXEC-MISSION-OVER ?H - HELICOPTER))

  (:functions
   (TOTAL-COST))

  (:action FLIGHTCONTROL-FCL-EVENT-FINISHED-0
   :parameters (?H - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (MATCHES-2 ?O0 ?H FCL-EVENT-FINISHED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLIGHTCONTROL-FCL-EVENT-FINISHED-1
   :parameters (?H - HELICOPTER )
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action FLIGHTCONTROL-FCL-EVENT-CANCELED-0
   :parameters (?H - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (MATCHES-2 ?O0 ?H FCL-EVENT-CANCELED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLIGHTCONTROL-FCL-EVENT-CANCELED-1
   :parameters (?H - HELICOPTER )
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action FLIGHTCONTROL-FCL-EVENT-MANUAL-0
   :parameters (?H - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (MATCHES-2 ?O0 ?H FCL-EVENT-MANUAL)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLIGHTCONTROL-FCL-EVENT-MANUAL-1
   :parameters (?H - HELICOPTER )
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action FLIGHTCONTROL-FCL-EVENT-NOT_ACCEPTED-0
   :parameters (?H - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (MATCHES-2 ?O0 ?H FCL-EVENT-NOT_ACCEPTED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLIGHTCONTROL-FCL-EVENT-NOT_ACCEPTED-1
   :parameters (?H - HELICOPTER )
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action FLIGHTCONTROL-FCL-EVENT-TRAJ3D_NEXT_SEGMENT-0
   :parameters (?H - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (MATCHES-2 ?O0 ?H FCL-EVENT-TRAJ3D_NEXT_SEGMENT)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLIGHTCONTROL-FCL-EVENT-TRAJ3D_NEXT_SEGMENT-1
   :parameters (?H - HELICOPTER )
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action FLIGHTCONTROL-FCL-EVENT-ON_THE_GROUND-0
   :parameters (?H - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (MATCHES-2 ?O0 ?H FCL-EVENT-ON_THE_GROUND)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLIGHTCONTROL-FCL-EVENT-ON_THE_GROUND-1
   :parameters (?H - HELICOPTER )
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action FLIGHTCONTROL-FCL-EVENT-IN_THE_AIR-0
   :parameters (?H - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (MATCHES-2 ?O0 ?H FCL-EVENT-IN_THE_AIR)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLIGHTCONTROL-FCL-EVENT-IN_THE_AIR-1
   :parameters (?H - HELICOPTER )
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action FLIGHTCONTROL-FCL-RETURN-FINISHED-0
   :parameters (?H - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (MATCHES-2 ?O0 ?H FCL-RETURN-FINISHED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLIGHTCONTROL-FCL-RETURN-FINISHED-1
   :parameters (?H - HELICOPTER )
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action FLIGHTCONTROL-FCL-RETURN-CANCELED-0
   :parameters (?H - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (MATCHES-2 ?O0 ?H FCL-RETURN-CANCELED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLIGHTCONTROL-FCL-RETURN-CANCELED-1
   :parameters (?H - HELICOPTER )
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action FLIGHTCONTROL-FCL-RETURN-MANUAL-0
   :parameters (?H - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (MATCHES-2 ?O0 ?H FCL-RETURN-MANUAL)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLIGHTCONTROL-FCL-RETURN-MANUAL-1
   :parameters (?H - HELICOPTER )
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action FLIGHTCONTROL-FCL-RETURN-NOT_ACCEPTED-0
   :parameters (?H - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (MATCHES-2 ?O0 ?H FCL-RETURN-NOT_ACCEPTED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLIGHTCONTROL-FCL-RETURN-NOT_ACCEPTED-1
   :parameters (?H - HELICOPTER )
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-START_OK
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_EXEC-IS-START ?T))
   :effect (AND (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T)
                (NOT (FLY3D-FSM_EXEC-IS-START ?T))
                (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_CHECKPOINT10-0
   :parameters (?T - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT10) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T))
                (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_CHECKPOINT10-1
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T))
                (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_CHECKPOINT11-0
   :parameters (?T - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT11) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T))
                (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_CHECKPOINT11-1
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T))
                (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_OK
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                      (FLY3D-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND ?T))
                (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_CHECKPOINT12-0
   :parameters (?T - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                      (FLY3D-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT12) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_CHECKPOINT12-1
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                      (FLY3D-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-IN_SEND_STARTING_YAW_COMMAND_IDLE
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_CANCEL_1-FLIGHTCONTROL-FCL-EVENT-CANCELED-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-CANCELED)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_CANCEL_1-FLIGHTCONTROL-FCL-EVENT-CANCELED-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_CANCEL_2-FLIGHTCONTROL-FCL-EVENT-MANUAL-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-MANUAL)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_CANCEL_2-FLIGHTCONTROL-FCL-EVENT-MANUAL-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_ERROR-FLIGHTCONTROL-FCL-EVENT-NOT_ACCEPTED-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-NOT_ACCEPTED)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_ERROR-FLIGHTCONTROL-FCL-EVENT-NOT_ACCEPTED-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_FINISHED-FLIGHTCONTROL-FCL-EVENT-FINISHED-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-FINISHED)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T))
                (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-ACTION1 ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_FINISHED-FLIGHTCONTROL-FCL-EVENT-FINISHED-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T))
                (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_CANCEL_1-FLIGHTCONTROL-FCL-EVENT-CANCELED-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-CANCELED)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_CANCEL_1-FLIGHTCONTROL-FCL-EVENT-CANCELED-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_CANCEL_2-FLIGHTCONTROL-FCL-EVENT-CANCELED-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-CANCELED)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_CANCEL_2-FLIGHTCONTROL-FCL-EVENT-CANCELED-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_ERROR-FLIGHTCONTROL-FCL-EVENT-NOT_ACCEPTED-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-NOT_ACCEPTED)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_ERROR-FLIGHTCONTROL-FCL-EVENT-NOT_ACCEPTED-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT20-0
   :parameters (?T - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                      (FLY3D-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT20) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT20-1
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                      (FLY3D-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21-0
   :parameters (?T - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                      (FLY3D-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT21) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21-1
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                      (FLY3D-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT22-0
   :parameters (?T - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT22) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-FSM_EXEC-IS-ACTION2 ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT22-1
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-FSM_EXEC-IS-ACTION2 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_AFTER22-0
   :parameters (?T - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION2 ?T)
                      (FLY3D-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT21) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2 ?T))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_AFTER22-1
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION2 ?T)
                      (FLY3D-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2 ?T))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-ENTER_SEND_FIRST_TRAJECTORY_BUSY
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                      (FLY3D-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-TRAJECTORY-NOT-SENT ?T)
                (FLY3D-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action FLY3D-ENTER_SEND_FIRST_TRAJECTORY_AFTER22_BUSY
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION2 ?T)
                      (FLY3D-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION2 ?T))
                (FLY3D-TRAJECTORY-NOT-SENT ?T)
                (FLY3D-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action FLY3D-IN_SEND_FIRST_TRAJECTORY_FCL_FINISHED-FLIGHTCONTROL-FCL-EVENT-FINISHED-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-FINISHED)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-IN_SEND_FIRST_TRAJECTORY_FCL_FINISHED-FLIGHTCONTROL-FCL-EVENT-FINISHED-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-IN_SEND_FIRST_TRAJECTORY_FCL_NEXT_TRAJECTORY-FLIGHTCONTROL-FCL-EVENT-TRAJ3D_NEXT_SEGMENT-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1
                          FCL-EVENT-TRAJ3D_NEXT_SEGMENT)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-ACTION1 ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action FLY3D-IN_SEND_FIRST_TRAJECTORY_FCL_NEXT_TRAJECTORY-FLIGHTCONTROL-FCL-EVENT-TRAJ3D_NEXT_SEGMENT-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-IN_SEND_FIRST_TRAJECTORY_IDLE_TIMEOUT
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-TRAJECTORY-NOT-SENT ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action FLY3D-IN_WAIT_TRAJECTORY_END_FCL_FINISHED-FLIGHTCONTROL-FCL-EVENT-FINISHED-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-FINISHED)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-IN_WAIT_TRAJECTORY_END_FCL_FINISHED-FLIGHTCONTROL-FCL-EVENT-FINISHED-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-IN_WAIT_TRAJECTORY_END_FCL_FINISHED_REACTION1-0
   :parameters (?T - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT24) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-IN_WAIT_TRAJECTORY_END_FCL_FINISHED_REACTION1-1
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T))
                (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-IN_WAIT_TRAJECTORY_END_FCL_FINISHED_REACTION2A
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T))
                (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                (NOT (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T))
                (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action FLY3D-IN_WAIT_TRAJECTORY_END_FCL_FINISHED_REACTION2B
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T))
                (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T)
                (NOT (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T))
                (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action FLY3D-IN_WAIT_TRAJECTORY_END_FCL_FINISHED_REACTION2D
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T))
                (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T)
                (NOT (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T))
                (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_CHECKPOINT30-0
   :parameters (?T - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT30) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_CHECKPOINT30-1
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_YAW_WAIT_FINISH_1-FLIGHTCONTROL-FCL-RETURN-FINISHED-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-RETURN-FINISHED)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T))
                (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T))
                (FLY3D-FSM_EXEC-IS-ACTION1 ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_YAW_WAIT_FINISH_1-FLIGHTCONTROL-FCL-RETURN-FINISHED-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T))
                (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T))
                (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_YAW_WAIT_FINISH_2-FLIGHTCONTROL-FCL-RETURN-FINISHED-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-RETURN-FINISHED)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T))
                (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_YAW_WAIT_FINISH_2-FLIGHTCONTROL-FCL-RETURN-FINISHED-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T))
                (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_YAW_WAIT_CANCEL_1-FLIGHTCONTROL-FCL-RETURN-CANCELED-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T)
                      (FLY3D-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-RETURN-CANCELED)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T))
                (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_YAW_WAIT_CANCEL_1-FLIGHTCONTROL-FCL-RETURN-CANCELED-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T)
                      (FLY3D-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T))
                (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_YAW_WAIT_CANCEL_2-FLIGHTCONTROL-FCL-RETURN-MANUAL-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T)
                      (FLY3D-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-RETURN-MANUAL)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T))
                (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_YAW_WAIT_CANCEL_2-FLIGHTCONTROL-FCL-RETURN-MANUAL-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T)
                      (FLY3D-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T))
                (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_YAW_WAIT_ERROR-FLIGHTCONTROL-FCL-RETURN-NOT_ACCEPTED-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-RETURN-NOT_ACCEPTED)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T))
                (FLY3D-FSM_EXEC-IS-ACTION2-FAIL ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_YAW_WAIT_ERROR-FLIGHTCONTROL-FCL-RETURN-NOT_ACCEPTED-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION2-WAIT ?T))
                (FLY3D-FSM_EXEC-IS-ACTION2-FAIL ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_CHECKPOINT31A-0
   :parameters (?T - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT31) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T))
                (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_CHECKPOINT31A-1
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T))
                (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_CHECKPOINT31B-0
   :parameters (?T - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT31) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_TURN_TO_GOAL_HEADING_CHECKPOINT31B-1
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-ENTER_GOAL_POINT_WAIT_CHECKPOINT40-0
   :parameters (?T - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT40) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action FLY3D-ENTER_GOAL_POINT_WAIT_CHECKPOINT40-1
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-GOAL_POINT_WAIT_CMD_CONTINUE_1
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T))
                (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T)
                (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action FLY3D-GOAL_POINT_WAIT_IDLE_1
   :parameters (?T - FLY3D )
   :precondition (AND (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T))
                (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T)
                (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action FLY3D-GLOBAL_FCL_CANCELED-FLIGHTCONTROL-FCL-EVENT-CANCELED-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-CANCELED)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_CANCEL_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-GLOBAL_FCL_CANCELED-FLIGHTCONTROL-FCL-EVENT-CANCELED-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_CANCEL_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-GLOBAL_FCL_MANUAL-FLIGHTCONTROL-FCL-EVENT-MANUAL-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-MANUAL)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_CANCEL_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-GLOBAL_FCL_MANUAL-FLIGHTCONTROL-FCL-EVENT-MANUAL-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_CANCEL_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action FLY3D-GLOBAL_FCL_ERROR-FLIGHTCONTROL-FCL-EVENT-NOT_ACCEPTED-0
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-NOT_ACCEPTED)
                      (PENDING ?O0))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_ERROR_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action FLY3D-GLOBAL_FCL_ERROR-FLIGHTCONTROL-FCL-EVENT-NOT_ACCEPTED-1
   :parameters (?T - FLY3D ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (FLY3D-MODE-IS-RUNNING ?T)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (FLY3D-FSM_EXEC-IS-NOTHING ?T))
                (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_ERROR_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOTAKEOFF-START_OK
   :parameters (?T - AUTOTAKEOFF )
   :precondition (AND (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-START ?T))
   :effect (AND (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T)
                (NOT (AUTOTAKEOFF-FSM_EXEC-IS-START ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action AUTOTAKEOFF-TAKEOFF_ACTION1-0
   :parameters (?T - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T)
                      (AUTOTAKEOFF-IN_START_CALL-IS-YES ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT1) (PENDING ?O0))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOTAKEOFF-TAKEOFF_ACTION1-1
   :parameters (?T - AUTOTAKEOFF )
   :precondition (AND (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T)
                      (AUTOTAKEOFF-IN_START_CALL-IS-YES ?T))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOTAKEOFF-TAKEOFF_FCL_FINISHED-FLIGHTCONTROL-FCL-EVENT-FINISHED-0
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-FINISHED)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOTAKEOFF-TAKEOFF_FCL_FINISHED-FLIGHTCONTROL-FCL-EVENT-FINISHED-1
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOTAKEOFF-TAKEOFF_FCL_FINISHED_REACTION1-0
   :parameters (?T - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT2) (PENDING ?O0))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T))
                (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE ?T)
                (NOT (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_1 ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOTAKEOFF-TAKEOFF_FCL_FINISHED_REACTION1-1
   :parameters (?T - AUTOTAKEOFF )
   :precondition (AND (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_1 ?T))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T))
                (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE ?T)
                (NOT (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_1 ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOTAKEOFF-TAKEOFF_FCL_ERROR_1-FLIGHTCONTROL-FCL-EVENT-NOT_ACCEPTED-0
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-NOT_ACCEPTED)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_ERROR_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOTAKEOFF-TAKEOFF_FCL_ERROR_1-FLIGHTCONTROL-FCL-EVENT-NOT_ACCEPTED-1
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_ERROR_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOTAKEOFF-TAKEOFF_FCL_CANCEL_1-FLIGHTCONTROL-FCL-EVENT-CANCELED-0
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-CANCELED)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOTAKEOFF-TAKEOFF_FCL_CANCEL_1-FLIGHTCONTROL-FCL-EVENT-CANCELED-1
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOTAKEOFF-TAKEOFF_FCL_CANCEL_2-FLIGHTCONTROL-FCL-EVENT-MANUAL-0
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-MANUAL)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOTAKEOFF-TAKEOFF_FCL_CANCEL_2-FLIGHTCONTROL-FCL-EVENT-MANUAL-1
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOTAKEOFF-TAKEOFF_IDLE-0
   :parameters (?T - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT3) (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOTAKEOFF-TAKEOFF_IDLE-1
   :parameters (?T - AUTOTAKEOFF )
   :precondition (AND (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_NO_CLIMB-0
   :parameters (?T - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT7) (PENDING ?O0))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-EXIT ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_NO_CLIMB-1
   :parameters (?T - AUTOTAKEOFF )
   :precondition (AND (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-EXIT ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_CLIMB-0
   :parameters (?T - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT5) (PENDING ?O0))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-CLIMB ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_CLIMB-1
   :parameters (?T - AUTOTAKEOFF )
   :precondition (AND (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-CLIMB ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_CLIMB_OK
   :parameters (?T - AUTOTAKEOFF )
   :precondition (AND (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-CLIMB ?T)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-CLIMB ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_FINISHED-FLIGHTCONTROL-FCL-EVENT-FINISHED-0
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-FINISHED)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_FINISHED-FLIGHTCONTROL-FCL-EVENT-FINISHED-1
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_FINISHED_REACTION1-0
   :parameters (?T - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT6) (PENDING ?O0))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_1 ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_2 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_FINISHED_REACTION1-1
   :parameters (?T - AUTOTAKEOFF )
   :precondition (AND (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_1 ?T))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_1 ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_2 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_ERROR_1-FLIGHTCONTROL-FCL-EVENT-NOT_ACCEPTED-0
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-NOT_ACCEPTED)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_ERROR_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_ERROR_1-FLIGHTCONTROL-FCL-EVENT-NOT_ACCEPTED-1
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_ERROR_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_CANCEL_1-FLIGHTCONTROL-FCL-EVENT-CANCELED-0
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-CANCELED)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_CANCEL_1-FLIGHTCONTROL-FCL-EVENT-CANCELED-1
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_CANCEL_2-FLIGHTCONTROL-FCL-EVENT-MANUAL-0
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-MANUAL)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_CANCEL_2-FLIGHTCONTROL-FCL-EVENT-MANUAL-1
   :parameters (?T - AUTOTAKEOFF ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T)
                      (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T))
                (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-START_DECOUPLE_IDLE
   :parameters (?T - AUTOLAND )
   :precondition (AND (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-START_DECOUPLE ?T)
                      (AUTOLAND-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (AUTOLAND-FSM_STATE-IS-START_DECOUPLE ?T))
                (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T)
                (NOT (AUTOLAND-FSM_EXEC-IS-NOTHING ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action AUTOLAND-MOVE_TO_INIT_POS_ACTION1_CHECKPOINT20-0
   :parameters (?T - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT20) (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action AUTOLAND-MOVE_TO_INIT_POS_ACTION1_CHECKPOINT20-1
   :parameters (?T - AUTOLAND )
   :precondition (AND (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-MOVE_TO_INIT_POS_ACTION1_CHECKPOINT21-0
   :parameters (?T - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT21) (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
                (AUTOLAND-FSM_EXEC-IS-NOTHING ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action AUTOLAND-MOVE_TO_INIT_POS_ACTION1_CHECKPOINT21-1
   :parameters (?T - AUTOLAND )
   :precondition (AND (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
                (AUTOLAND-FSM_EXEC-IS-NOTHING ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-MOVE_TO_INIT_POS_ACTION2_BLOCKING_FINISHED-FLIGHTCONTROL-FCL-RETURN-FINISHED-0
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-RETURN-FINISHED)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T))
                (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING ?T)
                (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action AUTOLAND-MOVE_TO_INIT_POS_ACTION2_BLOCKING_FINISHED-FLIGHTCONTROL-FCL-RETURN-FINISHED-1
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
   :effect (AND (NOT (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T))
                (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING ?T)
                (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-MOVE_TO_INIT_POS_ACTION2_BLOCKING_CANCEL_1-FLIGHTCONTROL-FCL-RETURN-CANCELED-0
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-RETURN-CANCELED)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOLAND-MOVE_TO_INIT_POS_ACTION2_BLOCKING_CANCEL_1-FLIGHTCONTROL-FCL-RETURN-CANCELED-1
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-MOVE_TO_INIT_POS_ACTION2_BLOCKING_CANCEL_2-FLIGHTCONTROL-FCL-RETURN-MANUAL-0
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-RETURN-MANUAL)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOLAND-MOVE_TO_INIT_POS_ACTION2_BLOCKING_CANCEL_2-FLIGHTCONTROL-FCL-RETURN-MANUAL-1
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-MOVE_TO_INIT_POS_ACTION2_BLOCKING_ERROR_1-FLIGHTCONTROL-FCL-RETURN-NOT_ACCEPTED-0
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-RETURN-NOT_ACCEPTED)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOLAND-MOVE_TO_INIT_POS_ACTION2_BLOCKING_ERROR_1-FLIGHTCONTROL-FCL-RETURN-NOT_ACCEPTED-1
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-YAW_TO_APPROACH_HEADING_CHECKPOINT22
   :parameters (?T - AUTOLAND )
   :precondition (AND (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
  )

  (:action AUTOLAND-YAW_TO_APPROACH_HEADING_BLOCKING_FINISHED-FLIGHTCONTROL-FCL-RETURN-FINISHED-0
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-RETURN-FINISHED)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING ?T))
                (AUTOLAND-FSM_STATE-IS-READY_TO_LAND ?T)
                (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action AUTOLAND-YAW_TO_APPROACH_HEADING_BLOCKING_FINISHED-FLIGHTCONTROL-FCL-RETURN-FINISHED-1
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
   :effect (AND (NOT (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING ?T))
                (AUTOLAND-FSM_STATE-IS-READY_TO_LAND ?T)
                (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-YAW_TO_APPROACH_HEADING_BLOCKING_CANCELED_1A-FLIGHTCONTROL-FCL-RETURN-CANCELED-0
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-RETURN-CANCELED)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOLAND-YAW_TO_APPROACH_HEADING_BLOCKING_CANCELED_1A-FLIGHTCONTROL-FCL-RETURN-CANCELED-1
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-YAW_TO_APPROACH_HEADING_BLOCKING_CANCELED_1B-FLIGHTCONTROL-FCL-RETURN-CANCELED-0
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-RETURN-CANCELED)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOLAND-YAW_TO_APPROACH_HEADING_BLOCKING_CANCELED_1B-FLIGHTCONTROL-FCL-RETURN-CANCELED-1
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-YAW_TO_APPROACH_HEADING_BLOCKING_CANCELED_2A-FLIGHTCONTROL-FCL-RETURN-MANUAL-0
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-RETURN-MANUAL)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOLAND-YAW_TO_APPROACH_HEADING_BLOCKING_CANCELED_2A-FLIGHTCONTROL-FCL-RETURN-MANUAL-1
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-YAW_TO_APPROACH_HEADING_BLOCKING_CANCELED_2B-FLIGHTCONTROL-FCL-RETURN-MANUAL-0
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-RETURN-MANUAL)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOLAND-YAW_TO_APPROACH_HEADING_BLOCKING_CANCELED_2B-FLIGHTCONTROL-FCL-RETURN-MANUAL-1
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-YAW_TO_APPROACH_HEADING_BLOCKING_ERROR_1-FLIGHTCONTROL-FCL-RETURN-NOT_ACCEPTED-0
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-RETURN-NOT_ACCEPTED)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOLAND-YAW_TO_APPROACH_HEADING_BLOCKING_ERROR_1-FLIGHTCONTROL-FCL-RETURN-NOT_ACCEPTED-1
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-READY_TO_LAND_CHECKPOINT40A-0
   :parameters (?T - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-READY_TO_LAND ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT40) (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_STATE-IS-READY_TO_LAND ?T))
                (AUTOLAND-FSM_STATE-IS-LAND ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action AUTOLAND-READY_TO_LAND_CHECKPOINT40A-1
   :parameters (?T - AUTOLAND )
   :precondition (AND (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-READY_TO_LAND ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (AUTOLAND-FSM_STATE-IS-READY_TO_LAND ?T))
                (AUTOLAND-FSM_STATE-IS-LAND ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-READY_TO_LAND_CHECKPOINT40B-0
   :parameters (?T - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-READY_TO_LAND ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT40) (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
                (AUTOLAND-FSM_EXEC-IS-NOTHING ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action AUTOLAND-READY_TO_LAND_CHECKPOINT40B-1
   :parameters (?T - AUTOLAND )
   :precondition (AND (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-READY_TO_LAND ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
                (AUTOLAND-FSM_EXEC-IS-NOTHING ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-READY_TO_LAND_CMD_OK
   :parameters (?T - AUTOLAND )
   :precondition (AND (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-READY_TO_LAND ?T)
                      (AUTOLAND-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (AUTOLAND-FSM_STATE-IS-READY_TO_LAND ?T))
                (AUTOLAND-FSM_STATE-IS-LAND ?T)
                (NOT (AUTOLAND-FSM_EXEC-IS-NOTHING ?T))
                (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action AUTOLAND-LAND_CHECKPOINT41-0
   :parameters (?T - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT41) (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
                (AUTOLAND-FSM_EXEC-IS-NOTHING ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action AUTOLAND-LAND_CHECKPOINT41-1
   :parameters (?T - AUTOLAND )
   :precondition (AND (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T))
                (AUTOLAND-FSM_EXEC-IS-NOTHING ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-LAND_FCL_FINISHED-FLIGHTCONTROL-FCL-EVENT-FINISHED-0
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T)
                      (AUTOLAND-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-FINISHED)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-NOTHING ?T))
                (AUTOLAND-FSM_EXEC-IS-REACTION_FINISHED_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOLAND-LAND_FCL_FINISHED-FLIGHTCONTROL-FCL-EVENT-FINISHED-1
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T)
                      (AUTOLAND-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-NOTHING ?T))
                (AUTOLAND-FSM_EXEC-IS-REACTION_FINISHED_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-LAND_FCL_FINISHED_REACTION1-0
   :parameters (?T - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T)
                      (AUTOLAND-FSM_EXEC-IS-REACTION_FINISHED_1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT42) (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-REACTION_FINISHED_1 ?T))
                (AUTOLAND-FSM_EXEC-IS-REACTION_FINISHED_2 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOLAND-LAND_FCL_FINISHED_REACTION1-1
   :parameters (?T - AUTOLAND )
   :precondition (AND (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T)
                      (AUTOLAND-FSM_EXEC-IS-REACTION_FINISHED_1 ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-REACTION_FINISHED_1 ?T))
                (AUTOLAND-FSM_EXEC-IS-REACTION_FINISHED_2 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action AUTOLAND-LAND_FCL_ERROR_1-FLIGHTCONTROL-FCL-EVENT-NOT_ACCEPTED-0
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T)
                      (AUTOLAND-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-NOT_ACCEPTED)
                      (PENDING ?O0))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-NOTHING ?T))
                (AUTOLAND-FSM_EXEC-IS-REACTION_ERROR_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action AUTOLAND-LAND_FCL_ERROR_1-FLIGHTCONTROL-FCL-EVENT-NOT_ACCEPTED-1
   :parameters (?T - AUTOLAND ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (AUTOLAND-MODE-IS-RUNNING ?T)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T)
                      (AUTOLAND-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (AUTOLAND-FSM_EXEC-IS-NOTHING ?T))
                (AUTOLAND-FSM_EXEC-IS-REACTION_ERROR_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action CAMERACONTROL-CCL-EVENT-ELEVATION_NOT_REACHABLE-0
   :parameters (?O0 - OBSERVATION )
   :precondition (AND (MATCHES-1 ?O0 CCL-EVENT-ELEVATION_NOT_REACHABLE)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action CAMERACONTROL-CCL-EVENT-ELEVATION_NOT_REACHABLE-1
   :parameters ()
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action CAMERACONTROL-CCL-EVENT-AZIMUTH_NOT_REACHABLE-0
   :parameters (?O0 - OBSERVATION )
   :precondition (AND (MATCHES-1 ?O0 CCL-EVENT-AZIMUTH_NOT_REACHABLE)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action CAMERACONTROL-CCL-EVENT-AZIMUTH_NOT_REACHABLE-1
   :parameters ()
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action CAMERACONTROL-CCL-EVENT-GOAL_ELEVATION_ACHIEVED-0
   :parameters (?O0 - OBSERVATION )
   :precondition (AND (MATCHES-1 ?O0 CCL-EVENT-GOAL_ELEVATION_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action CAMERACONTROL-CCL-EVENT-GOAL_ELEVATION_ACHIEVED-1
   :parameters ()
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action CAMERACONTROL-CCL-EVENT-GOAL_AZIMUTH_ACHIEVED-0
   :parameters (?O0 - OBSERVATION )
   :precondition (AND (MATCHES-1 ?O0 CCL-EVENT-GOAL_AZIMUTH_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action CAMERACONTROL-CCL-EVENT-GOAL_AZIMUTH_ACHIEVED-1
   :parameters ()
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action CAMERACONTROL-CCL-EVENT-GOAL_HFOV_ACHIEVED-0
   :parameters (?O0 - OBSERVATION )
   :precondition (AND (MATCHES-1 ?O0 CCL-EVENT-GOAL_HFOV_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action CAMERACONTROL-CCL-EVENT-GOAL_HFOV_ACHIEVED-1
   :parameters ()
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action CAMERACONTROL-CCL-EVENT-GOAL_ELEVATION_NOT_ACHIEVED-0
   :parameters (?O0 - OBSERVATION )
   :precondition (AND (MATCHES-1 ?O0
                          CCL-EVENT-GOAL_ELEVATION_NOT_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action CAMERACONTROL-CCL-EVENT-GOAL_ELEVATION_NOT_ACHIEVED-1
   :parameters ()
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action CAMERACONTROL-CCL-EVENT-GOAL_AZIMUTH_NOT_ACHIEVED-0
   :parameters (?O0 - OBSERVATION )
   :precondition (AND (MATCHES-1 ?O0
                          CCL-EVENT-GOAL_AZIMUTH_NOT_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action CAMERACONTROL-CCL-EVENT-GOAL_AZIMUTH_NOT_ACHIEVED-1
   :parameters ()
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action CAMERACONTROL-CCL-EVENT-HFOV_NOT_REACHABLE-0
   :parameters (?O0 - OBSERVATION )
   :precondition (AND (MATCHES-1 ?O0 CCL-EVENT-HFOV_NOT_REACHABLE)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action CAMERACONTROL-CCL-EVENT-HFOV_NOT_REACHABLE-1
   :parameters ()
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action CAMERACONTROL-CCL-EVENT-GOAL_HFOV_NOT_ACHIEVED-0
   :parameters (?O0 - OBSERVATION )
   :precondition (AND (MATCHES-1 ?O0 CCL-EVENT-GOAL_HFOV_NOT_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action CAMERACONTROL-CCL-EVENT-GOAL_HFOV_NOT_ACHIEVED-1
   :parameters ()
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action CAMERACONTROL-CCL-EVENT-CCL_INITIALIZING-0
   :parameters (?O0 - OBSERVATION )
   :precondition (AND (MATCHES-1 ?O0 CCL-EVENT-CCL_INITIALIZING)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action CAMERACONTROL-CCL-EVENT-CCL_INITIALIZING-1
   :parameters ()
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action CAMERACONTROL-CCL-EVENT-CCL_INITIALIZING_FINISHED-0
   :parameters (?O0 - OBSERVATION )
   :precondition (AND (MATCHES-1 ?O0
                          CCL-EVENT-CCL_INITIALIZING_FINISHED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action CAMERACONTROL-CCL-EVENT-CCL_INITIALIZING_FINISHED-1
   :parameters ()
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action CAMERACONTROL-CCL-EVENT-CCL_MANUAL_CONTROL-0
   :parameters (?O0 - OBSERVATION )
   :precondition (AND (MATCHES-1 ?O0 CCL-EVENT-CCL_MANUAL_CONTROL)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action CAMERACONTROL-CCL-EVENT-CCL_MANUAL_CONTROL-1
   :parameters ()
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action CAMERACONTROL-CCL-EVENT-CCL_IPC_CONTROL-0
   :parameters (?O0 - OBSERVATION )
   :precondition (AND (MATCHES-1 ?O0 CCL-EVENT-CCL_IPC_CONTROL)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action CAMERACONTROL-CCL-EVENT-CCL_IPC_CONTROL-1
   :parameters ()
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action CAMERACONTROL-CCL-EVENT-CCL_DRC_CONTROL-0
   :parameters (?O0 - OBSERVATION )
   :precondition (AND (MATCHES-1 ?O0 CCL-EVENT-CCL_DRC_CONTROL)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action CAMERACONTROL-CCL-EVENT-CCL_DRC_CONTROL-1
   :parameters ()
   :precondition (STATIC-TRUE)
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-START_OK_1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-START ?T))
   :effect (AND (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                    ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-START ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action BASICCAMERACONTROL-START_OK_2
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-START ?T))
   :effect (AND (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-START ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action BASICCAMERACONTROL-SELECT_INITIAL_MODE_ACTION1_1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                    ?T))
  )

  (:action BASICCAMERACONTROL-SELECT_INITIAL_MODE_ACTION1_2
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING
                    ?T))
  )

  (:action BASICCAMERACONTROL-SELECT_INITIAL_MODE_ACTION1_3
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE ?T))
  )

  (:action BASICCAMERACONTROL-START_TRACKING_POSITION_OK-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT101) (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                    ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-START_TRACKING_POSITION_OK-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                    ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-START_TRACKING_POSITION_NO_FAIL_111-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT111) (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-START_TRACKING_POSITION_NO_FAIL_111-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-START_TRACKING_POSITION_NO_FAIL_112-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT112) (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-START_TRACKING_POSITION_NO_FAIL_112-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-SEQ_POSITION_COMMAND_WAIT_2
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action BASICCAMERACONTROL-SEQ_POSITION_COMMAND_NOT_IN_CONTROL
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL ?T))
  )

  (:action BASICCAMERACONTROL-SEQ_POSITION_COMMAND_OK
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T))
  )

  (:action BASICCAMERACONTROL-SEQ_POSITION_COMMAND_IDLE
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action BASICCAMERACONTROL-START_TRACKING_BEARING_OK-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT102) (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                    ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-START_TRACKING_BEARING_OK-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                    ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-SEQ_BEARING_COMMAND_WAIT_2
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action BASICCAMERACONTROL-SEQ_BEARING_COMMAND_NOT_IN_CONTROL
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL ?T))
  )

  (:action BASICCAMERACONTROL-SEQ_BEARING_COMMAND_OK_1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T))
  )

  (:action BASICCAMERACONTROL-SEQ_BEARING_COMMAND_IDLE
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action BASICCAMERACONTROL-CONVERGE_OK_1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
  )

  (:action BASICCAMERACONTROL-CONVERGE_OK_2
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                    ?T))
  )

  (:action BASICCAMERACONTROL-CONVERGE_WAIT_WAIT_2
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action BASICCAMERACONTROL-CONVERGE_WAIT_ELEVATION_REACHED_1-CAMERACONTROL-CCL-EVENT-GOAL_ELEVATION_ACHIEVED-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-1 ?O0 CCL-EVENT-GOAL_ELEVATION_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-CONVERGE_WAIT_ELEVATION_REACHED_1-CAMERACONTROL-CCL-EVENT-GOAL_ELEVATION_ACHIEVED-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-CONVERGE_WAIT_ELEVATION_REACHED_2-CAMERACONTROL-CCL-EVENT-GOAL_ELEVATION_ACHIEVED-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-1 ?O0 CCL-EVENT-GOAL_ELEVATION_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                    ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-CONVERGE_WAIT_ELEVATION_REACHED_2-CAMERACONTROL-CCL-EVENT-GOAL_ELEVATION_ACHIEVED-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                    ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-CONVERGE_WAIT_ELEVATION_NOT_REACHED-CAMERACONTROL-CCL-EVENT-GOAL_ELEVATION_NOT_ACHIEVED-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-1 ?O0
                          CCL-EVENT-GOAL_ELEVATION_NOT_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-CONVERGE_WAIT_ELEVATION_NOT_REACHED-CAMERACONTROL-CCL-EVENT-GOAL_ELEVATION_NOT_ACHIEVED-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-CONVERGE_WAIT_AZIMUTH_REACHED_1-CAMERACONTROL-CCL-EVENT-GOAL_AZIMUTH_ACHIEVED-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-1 ?O0 CCL-EVENT-GOAL_AZIMUTH_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-CONVERGE_WAIT_AZIMUTH_REACHED_1-CAMERACONTROL-CCL-EVENT-GOAL_AZIMUTH_ACHIEVED-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-CONVERGE_WAIT_AZIMUTH_REACHED_2-CAMERACONTROL-CCL-EVENT-GOAL_AZIMUTH_ACHIEVED-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-1 ?O0 CCL-EVENT-GOAL_AZIMUTH_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                    ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-CONVERGE_WAIT_AZIMUTH_REACHED_2-CAMERACONTROL-CCL-EVENT-GOAL_AZIMUTH_ACHIEVED-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                    ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-CONVERGE_WAIT_AZIMUTH_NOT_REACHED-CAMERACONTROL-CCL-EVENT-GOAL_AZIMUTH_NOT_ACHIEVED-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-1 ?O0
                          CCL-EVENT-GOAL_AZIMUTH_NOT_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-CONVERGE_WAIT_AZIMUTH_NOT_REACHED-CAMERACONTROL-CCL-EVENT-GOAL_AZIMUTH_NOT_ACHIEVED-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-CONVERGE_WAIT_TIMEOUT_1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED ?T))
  )

  (:action BASICCAMERACONTROL-CONVERGE_WAIT_TIMEOUT_2
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action BASICCAMERACONTROL-CONVERGE_FINAL_WAIT_WAIT_2
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action BASICCAMERACONTROL-CONVERGE_FINAL_WAIT_AZIMUTH_NOT_REACHED-CAMERACONTROL-CCL-EVENT-GOAL_AZIMUTH_NOT_ACHIEVED-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-1 ?O0
                          CCL-EVENT-GOAL_AZIMUTH_NOT_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-CONVERGE_FINAL_WAIT_AZIMUTH_NOT_REACHED-CAMERACONTROL-CCL-EVENT-GOAL_AZIMUTH_NOT_ACHIEVED-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-CONVERGE_FINAL_WAIT_ELEVATION_NOT_REACHED-CAMERACONTROL-CCL-EVENT-GOAL_ELEVATION_NOT_ACHIEVED-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-1 ?O0
                          CCL-EVENT-GOAL_ELEVATION_NOT_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-CONVERGE_FINAL_WAIT_ELEVATION_NOT_REACHED-CAMERACONTROL-CCL-EVENT-GOAL_ELEVATION_NOT_ACHIEVED-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-CONVERGE_FINAL_WAIT_IDLE
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action BASICCAMERACONTROL-CONVERGE_FAILED_TRY_AGAIN-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT301) (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-CONVERGE_FAILED_TRY_AGAIN-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-ENTER_TRACKING_1-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT201) (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-ENTER_TRACKING_1-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-ENTER_TRACKING_2B
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action BASICCAMERACONTROL-TRACKING_ELEVATION_LOST-CAMERACONTROL-CCL-EVENT-GOAL_ELEVATION_NOT_ACHIEVED-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-1 ?O0
                          CCL-EVENT-GOAL_ELEVATION_NOT_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ELEVATION_LOST_REACTION1
                    ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-TRACKING_ELEVATION_LOST-CAMERACONTROL-CCL-EVENT-GOAL_ELEVATION_NOT_ACHIEVED-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ELEVATION_LOST_REACTION1
                    ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-TRACKING_ELEVATION_LOST_REACTION1-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ELEVATION_LOST_REACTION1
                          ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT311) (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ELEVATION_LOST_REACTION1
                         ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-TRACKING_ELEVATION_LOST_REACTION1-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ELEVATION_LOST_REACTION1
                          ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ELEVATION_LOST_REACTION1
                         ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-TRACKING_AZIMUTH_LOST-CAMERACONTROL-CCL-EVENT-GOAL_AZIMUTH_NOT_ACHIEVED-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-1 ?O0
                          CCL-EVENT-GOAL_AZIMUTH_NOT_ACHIEVED)
                      (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-AZIMUTH_LOST_REACTION1
                    ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-TRACKING_AZIMUTH_LOST-CAMERACONTROL-CCL-EVENT-GOAL_AZIMUTH_NOT_ACHIEVED-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-AZIMUTH_LOST_REACTION1
                    ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-TRACKING_AZIMUTH_LOST_REACTION1-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-AZIMUTH_LOST_REACTION1
                          ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT312) (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-AZIMUTH_LOST_REACTION1
                         ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-TRACKING_AZIMUTH_LOST_REACTION1-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-AZIMUTH_LOST_REACTION1
                          ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-AZIMUTH_LOST_REACTION1
                         ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-SET_LOCKED_MODE_OK-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT104) (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-SET_LOCKED_MODE_OK-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-SET_LOCKED_MODE_ACTION1_ERROR-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT404) (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-SET_LOCKED_MODE_ACTION1_ERROR-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-SEQ_TURN_COMMAND_WAIT_2
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action BASICCAMERACONTROL-SEQ_TURN_COMMAND_NOT_IN_CONTROL
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL ?T))
  )

  (:action BASICCAMERACONTROL-SEQ_TURN_COMMAND_OK
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE ?T))
  )

  (:action BASICCAMERACONTROL-SEQ_TURN_COMMAND_IDLE
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action BASICCAMERACONTROL-SEQ_LOCK_COMMAND_WAIT_2
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action BASICCAMERACONTROL-SEQ_LOCK_COMMAND_NOT_IN_CONTROL
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL ?T))
  )

  (:action BASICCAMERACONTROL-SEQ_LOCK_COMMAND_OK
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE ?T))
  )

  (:action BASICCAMERACONTROL-SEQ_LOCK_COMMAND_IDLE
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action BASICCAMERACONTROL-LOCKED_CAMERA_MODE_ACTION1-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT400) (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-LOCKED_CAMERA_MODE_ACTION1-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-LOCKED_CAMERA_MODE_ACTION2B
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action BASICCAMERACONTROL-NOT_IN_CONTROL_WAIT-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT700) (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-NOT_IN_CONTROL_WAIT-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-NOT_IN_CONTROL_ACTION2_2
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action BASICCAMERACONTROL-NOT_IN_CONTROL_CMD_RESUME_CONTROL_NO
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action BASICCAMERACONTROL-NOT_IN_CONTROL_DRC_CONTROL-CAMERACONTROL-CCL-EVENT-CCL_DRC_CONTROL-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-1 ?O0 CCL-EVENT-CCL_DRC_CONTROL)
                      (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-NOT_IN_CONTROL_DRC_CONTROL-CAMERACONTROL-CCL-EVENT-CCL_DRC_CONTROL-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-GLOBAL_CMD_SET_POSITION
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                    ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action BASICCAMERACONTROL-GLOBAL_CMD_SET_BEARING
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING
                    ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action BASICCAMERACONTROL-GLOBAL_CMD_LOCK_AT
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action BASICCAMERACONTROL-GLOBAL_CMD_LOCK_AT_CURRENT-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT410) (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-GLOBAL_CMD_LOCK_AT_CURRENT-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-GLOBAL_CMD_PAN
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING
                    ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action BASICCAMERACONTROL-GLOBAL_CMD_WAIT
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (STATIC-TRUE)
  )

  (:action BASICCAMERACONTROL-GLOBAL_MANUAL_CONTROL-CAMERACONTROL-CCL-EVENT-CCL_MANUAL_CONTROL-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-1 ?O0 CCL-EVENT-CCL_MANUAL_CONTROL)
                      (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-GLOBAL_MANUAL_CONTROL-CAMERACONTROL-CCL-EVENT-CCL_MANUAL_CONTROL-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action BASICCAMERACONTROL-GLOBAL_IPC_CONTROL-CAMERACONTROL-CCL-EVENT-CCL_IPC_CONTROL-0
   :parameters (?T - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-1 ?O0 CCL-EVENT-CCL_IPC_CONTROL)
                      (PENDING ?O0))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action BASICCAMERACONTROL-GLOBAL_IPC_CONTROL-CAMERACONTROL-CCL-EVENT-CCL_IPC_CONTROL-1
   :parameters (?T - BASICCAMERACONTROL )
   :precondition (AND (BASICCAMERACONTROL-MODE-IS-RUNNING ?T)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SELECT_INITIAL_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_BEARING
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                         ?T))
                (NOT (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                         ?T))
                (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-START_DECOUPLE_IDLE_TIME_OUT
   :parameters (?T - NAVTOPOINT )
   :precondition (AND (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-START_DECOUPLE ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (NAVTOPOINT-FSM_STATE-IS-START_DECOUPLE ?T))
                (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T))
  )

  (:action NAVTOPOINT-PLAN_PATH_ACTION1_CHECKPOINT1-0
   :parameters (?T - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT1) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T))
                (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-PLAN_PATH_ACTION1_CHECKPOINT1-1
   :parameters (?T - NAVTOPOINT )
   :precondition (AND (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T))
                (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-PLAN_PATH_ACTION2_CHECKPOINT4A-0
   :parameters (?T - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT4) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T))
                (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                (NOT (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T))
                (NAVTOPOINT-FSM_STATE-IS-WAIT_FOR_GO ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-PLAN_PATH_ACTION2_CHECKPOINT4A-1
   :parameters (?T - NAVTOPOINT )
   :precondition (AND (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T))
                (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                (NOT (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T))
                (NAVTOPOINT-FSM_STATE-IS-WAIT_FOR_GO ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-PLAN_PATH_ACTION2_CHECKPOINT4B-0
   :parameters (?T - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT4) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T))
                (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T))
                (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-PLAN_PATH_ACTION2_CHECKPOINT4B-1
   :parameters (?T - NAVTOPOINT )
   :precondition (AND (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T))
                (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T))
                (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-WAIT_FOR_GO_OK
   :parameters (?T - NAVTOPOINT )
   :precondition (AND (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-WAIT_FOR_GO ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (NAVTOPOINT-FSM_STATE-IS-WAIT_FOR_GO ?T))
                (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T))
  )

  (:action NAVTOPOINT-FLY_PATH_ACTION1_PROXY_INIT_OK-FLY3D-CALL_SET_ARGS
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?H - HELICOPTER ?T-1 - FLY3D ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (= ?C-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (TASK-RUNNING-ON ?ST ?H)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T)
                      (FLY3D-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T))
                (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                (NOT (FLY3D-MODE-IS-PRE_INIT ?T-1))
                (FLY3D-MODE-IS-PROCESSING ?T-1) (CALLED-BY ?T-1 ?C-1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_READY-FLY3D-INIT_OK-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_READY ?T)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-READY ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_READY-FLY3D-INIT_OK-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_READY ?T)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-READY ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_READY_CALL_START-FLY3D-CALL_START
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_READY ?T)
                      (FLY3D-MODE-IS-READY ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_READY ?T))
                (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                (FLY3D-IN_START_CALL-IS-YES ?T-1)
                (NOT (FLY3D-MODE-IS-READY ?T-1))
                (FLY3D-MODE-IS-RUNNING ?T-1)
                (FLY3D-FSM_EXEC-IS-START ?T-1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_READY_PROXY_FAIL-FLY3D-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_READY ?T)
                      (FLY3D-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_READY ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_2 ?T)
                (NOT (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_READY_PROXY_FAIL-FLY3D-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_READY ?T)
                      (FLY3D-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_READY ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_2 ?T)
                (NOT (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_READY_PROXY_FAIL-FLY3D-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_READY ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_READY ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_2 ?T)
                (NOT (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_READY_PROXY_FAIL-FLY3D-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_READY ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_READY ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_2 ?T)
                (NOT (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_F3D_RUNNING-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_OK_SYNC
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                         ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action NAVTOPOINT-FLY_PATH_F3D_RUNNING-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_CHECKPOINT12_SYNC-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT12) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_F3D_RUNNING-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_CHECKPOINT12_SYNC-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_F3D_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT20_SYNC-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT20) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_F3D_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT20_SYNC-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_F3D_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_SYNC-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT21) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_F3D_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_SYNC-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_F3D_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_AFTER22_SYNC-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT21) (PENDING ?O0))
   :effect (AND (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_F3D_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_AFTER22_SYNC-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_F3D_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_BUSY_SYNC
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (FLY3D-TRAJECTORY-NOT-SENT ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action NAVTOPOINT-FLY_PATH_F3D_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_BUSY_AFTER22_SYNC
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (FLY3D-TRAJECTORY-NOT-SENT ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_SYNC_DONE-FLY3D-START_EXIT
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-START ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_DONE-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_CANCEL_REACTION1-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_DONE-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_CANCEL_REACTION1-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_DONE-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_CANCEL_REACTION1-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_DONE-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_CANCEL_REACTION1-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_DONE-FLY3D-IN_WAIT_TRAJECTORY_END_FCL_FINISHED_REACTION2C-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_DONE-FLY3D-IN_WAIT_TRAJECTORY_END_FCL_FINISHED_REACTION2C-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_DONE-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-EXIT-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_DONE-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-EXIT-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_DONE-FLY3D-GOAL_POINT_WAIT_CMD_CONTINUE_EXIT-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_DONE-FLY3D-GOAL_POINT_WAIT_CMD_CONTINUE_EXIT-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_DONE-FLY3D-GOAL_POINT_WAIT_IDLE_EXIT-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_DONE-FLY3D-GOAL_POINT_WAIT_IDLE_EXIT-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_DONE-FLY3D-GLOBAL_FCL_CANCEL_REACTION1-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_DONE-FLY3D-GLOBAL_FCL_CANCEL_REACTION1-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_DONE_1-FLY3D-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                      (FLY3D-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_2 ?T)
                (NOT (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_DONE_1-FLY3D-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                      (FLY3D-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_2 ?T)
                (NOT (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_DONE_1-FLY3D-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_2 ?T)
                (NOT (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_DONE_1-FLY3D-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_1 ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_2 ?T)
                (NOT (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_SYNC_FAIL-FLY3D-INIT_FAIL
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_SYNC_FAIL-FLY3D-FAIL_IN_START_CALL
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SERVICE-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SERVICE-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_221-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-221)
                      (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_221-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_222-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-222)
                      (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_222-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_223-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-223)
                      (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_223-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_FAIL_SERVICE-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_FAIL_SERVICE-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_ERROR_REACTION1-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-211)
                      (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_ERROR_REACTION1-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_ERROR_REACTION1-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-211)
                      (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_ERROR_REACTION1-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SERVICE-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SERVICE-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SPECIFIC_220-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-220)
                      (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SPECIFIC_220-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-IN_SEND_FIRST_TRAJECTORY_FCL_FINISHED_REACTION1-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-213)
                      (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-IN_SEND_FIRST_TRAJECTORY_FCL_FINISHED_REACTION1-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_GOAL_HEADING_FAIL_SERVICE-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_GOAL_HEADING_FAIL_SERVICE-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-FAIL-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-FAIL ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-214)
                      (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-FAIL-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-FAIL ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_GOAL_POINT_WAIT_FAIL_SERVICE-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-ENTER_GOAL_POINT_WAIT_FAIL_SERVICE-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-GLOBAL_FCL_ERROR_REACTION1-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-210)
                      (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_ASYNC_FAIL-FLY3D-GLOBAL_FCL_ERROR_REACTION1-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_SUBTASK_FAIL_1-FLY3D-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                      (FLY3D-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_2 ?T)
                (NOT (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_SUBTASK_FAIL_1-FLY3D-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                      (FLY3D-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_2 ?T)
                (NOT (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_SUBTASK_FAIL_1-FLY3D-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_2 ?T)
                (NOT (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action NAVTOPOINT-FLY_PATH_FLY3D_SUBTASK_FAIL_1-FLY3D-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - NAVTOPOINT ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST)
                      (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_1 ?T))
                (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_2 ?T)
                (NOT (NAVTOPOINT-FLY_TRAJECTORY_TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-START_OK-0
   :parameters (?T - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_EXEC-IS-START ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT1) (PENDING ?O0))
   :effect (AND (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-START ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-START_OK-1
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_EXEC-IS-START ?T))
   :effect (AND (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-START ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-PLAN_PATH_ACTION1_OK-0
   :parameters (?T - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT2) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-PLAN_PATH_ACTION1_OK-1
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-NEXT_WAYPOINT_ACTION1_OK_1-0
   :parameters (?T - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT3) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T))
                (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-NEXT_WAYPOINT_ACTION1_OK_1-1
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T))
                (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-NEXT_WAYPOINT_ACTION1_OK_2-0
   :parameters (?T - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT3) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T))
                (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-NEXT_WAYPOINT_ACTION1_OK_2-1
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T))
                (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-ENTER_WAIT_FOR_GO_2
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action DOATPOINTS-WAIT_FOR_GO_CMD_OK
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T))
                (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action DOATPOINTS-WAIT_FOR_GO_CMD_SKIP
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T))
                (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action DOATPOINTS-RUN_FLY3D_ACTION1_OK-FLY3D-CALL_SET_ARGS
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?H - HELICOPTER ?T-1 - FLY3D ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (= ?C-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (TASK-RUNNING-ON ?ST ?H)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                      (FLY3D-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                (DOATPOINTS-FLY3D-TASK ?T ?ST)
                (NOT (DOATPOINTS-DEFERRED-EVENT-READY ?T))
                (NOT (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T))
                (NOT (FLY3D-MODE-IS-PRE_INIT ?T-1))
                (FLY3D-MODE-IS-PROCESSING ?T-1) (CALLED-BY ?T-1 ?C-1))
  )

  (:action DOATPOINTS-RUN_FLY3D_DEFER_INIT_READY-FLY3D-INIT_OK-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-READY ?T)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-READY ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_DEFER_INIT_READY-FLY3D-INIT_OK-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-READY ?T)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-READY ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_DEFER_INIT_FAIL-FLY3D-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-RUN_FLY3D_DEFER_INIT_FAIL-FLY3D-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ACTION2_OK_2
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action DOATPOINTS-RUN_FLY3D_READY-FLY3D-INIT_OK-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_1 ?T)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-READY ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_READY-FLY3D-INIT_OK-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_1 ?T)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-READY ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_DEFERRED_READY
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-DEFERRED-EVENT-READY ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_1 ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-READY ?T)))
  )

  (:action DOATPOINTS-RUN_FLY3D_READY1_FAIL-FLY3D-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_1
                          ?T)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T)
                      (FLY3D-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (DOATPOINTS-FLY3D-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_READY1_FAIL-FLY3D-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_1
                          ?T)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T)
                      (FLY3D-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (DOATPOINTS-FLY3D-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_READY1_FAIL-FLY3D-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_1
                          ?T)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (DOATPOINTS-FLY3D-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_READY1_FAIL-FLY3D-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_1
                          ?T)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (DOATPOINTS-FLY3D-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_READY1_OK-FLY3D-CALL_START
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_1
                          ?T)
                      (FLY3D-MODE-IS-READY ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_2 ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-DONE ?T))
                (NOT (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T))
                (FLY3D-IN_START_CALL-IS-YES ?T-1)
                (NOT (FLY3D-MODE-IS-READY ?T-1))
                (FLY3D-MODE-IS-RUNNING ?T-1)
                (FLY3D-FSM_EXEC-IS-START ?T-1))
  )

  (:action DOATPOINTS-RUN_FLY3D_DEFER_START_DONE-FLY3D-START_EXIT
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_2
                          ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-START ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-DONE ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1))
  )

  (:action DOATPOINTS-RUN_FLY3D_DEFER_START_FAIL-FLY3D-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_2
                          ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-RUN_FLY3D_DEFER_START_FAIL-FLY3D-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_2
                          ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-RUN_FLY3D_READY2-0
   :parameters (?T - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_2
                          ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT5) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_2 ?T))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_READY2-1
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_2
                          ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_READY_2 ?T))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-IGNORE_FLY3D_TASK_RUNNING-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_OK_SYNC
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                         ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_FLY3D_TASK_RUNNING-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_CHECKPOINT12_SYNC-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT12) (PENDING ?O0))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-IGNORE_FLY3D_TASK_RUNNING-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_CHECKPOINT12_SYNC-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-IGNORE_FLY3D_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT20_SYNC-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT20) (PENDING ?O0))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-IGNORE_FLY3D_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT20_SYNC-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-IGNORE_FLY3D_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_SYNC-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT21) (PENDING ?O0))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-IGNORE_FLY3D_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_SYNC-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-IGNORE_FLY3D_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_AFTER22_SYNC-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT21) (PENDING ?O0))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-IGNORE_FLY3D_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_AFTER22_SYNC-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-IGNORE_FLY3D_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_BUSY_SYNC
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (FLY3D-TRAJECTORY-NOT-SENT ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_FLY3D_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_BUSY_AFTER22_SYNC
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (FLY3D-TRAJECTORY-NOT-SENT ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-RUN_FLY3D_SYNC_DONE-FLY3D-START_EXIT
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-START ?T-1))
   :effect (AND (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_DONE-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_CANCEL_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_DONE-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_CANCEL_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_DONE-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_CANCEL_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_DONE-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_CANCEL_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_DONE-FLY3D-IN_WAIT_TRAJECTORY_END_FCL_FINISHED_REACTION2C-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_DONE-FLY3D-IN_WAIT_TRAJECTORY_END_FCL_FINISHED_REACTION2C-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_DONE-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-EXIT-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_DONE-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-EXIT-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_DONE-FLY3D-GOAL_POINT_WAIT_CMD_CONTINUE_EXIT-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_DONE-FLY3D-GOAL_POINT_WAIT_CMD_CONTINUE_EXIT-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_DONE-FLY3D-GOAL_POINT_WAIT_IDLE_EXIT-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_DONE-FLY3D-GOAL_POINT_WAIT_IDLE_EXIT-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_DONE-FLY3D-GLOBAL_FCL_CANCEL_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_DONE-FLY3D-GLOBAL_FCL_CANCEL_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_DONE1-0
   :parameters (?T - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT6) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_2 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_DONE1-1
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_2 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_DONE2-FLY3D-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_2 ?T)
                      (FLY3D-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T))
                (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_2 ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-FLY3D-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_DONE2-FLY3D-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_2 ?T)
                      (FLY3D-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T))
                (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_2 ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-FLY3D-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_DONE2-FLY3D-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_2 ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T))
                (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_2 ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-FLY3D-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_DONE2-FLY3D-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_2 ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T))
                (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_DONE_2 ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-FLY3D-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_SYNC_FAIL-FLY3D-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-RUN_FLY3D_SYNC_FAIL-FLY3D-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-RUN_FLY3D_DEFERRED_INIT_FAIL
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)))
  )

  (:action DOATPOINTS-RUN_FLY3D_DEFERRED_START_FAIL
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_221-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-221)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_221-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_222-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-222)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_222-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_223-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-223)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_223-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_ERROR_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-211)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_ERROR_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_ERROR_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-211)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_ERROR_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SPECIFIC_220-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-220)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SPECIFIC_220-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-IN_SEND_FIRST_TRAJECTORY_FCL_FINISHED_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-213)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-IN_SEND_FIRST_TRAJECTORY_FCL_FINISHED_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_GOAL_HEADING_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_GOAL_HEADING_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-FAIL-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-FAIL ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-214)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-FAIL-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-FAIL ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_GOAL_POINT_WAIT_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-ENTER_GOAL_POINT_WAIT_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-GLOBAL_FCL_ERROR_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-210)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_ASYNC_FAIL-FLY3D-GLOBAL_FCL_ERROR_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1 ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_FAILED1-FLY3D-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1
                          ?T)
                      (FLY3D-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_2 ?T)
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_FAILED1-FLY3D-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1
                          ?T)
                      (FLY3D-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_2 ?T)
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-RUN_FLY3D_FAILED1-FLY3D-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1
                          ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_2 ?T)
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-RUN_FLY3D_FAILED1-FLY3D-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - FLY3D ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-FLY3D-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1
                          ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_2 ?T)
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_WAYPOINT_ACTION_ACTION1_OK_1
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T))
  )

  (:action DOATPOINTS-EXEC_WAYPOINT_ACTION_ACTION1_OK_2
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_CALL_INIT-FLY3D-CALL_SET_ARGS
   :parameters (?T - DOATPOINTS ?ST - TASK ?H - HELICOPTER ?T-1 - FLY3D ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (= ?C-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (TASK-RUNNING-ON ?ST ?H) (NOT (= ?T ?ST))
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                      (FLY3D-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                (DOATPOINTS-MISSION-TASK ?T ?ST)
                (NOT (DOATPOINTS-DEFERRED-EVENT-READY ?T))
                (NOT (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T))
                (NOT (FLY3D-MODE-IS-PRE_INIT ?T-1))
                (FLY3D-MODE-IS-PROCESSING ?T-1) (CALLED-BY ?T-1 ?C-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_CALL_INIT-AUTOTAKEOFF-CALL_SET_ARGS
   :parameters (?T - DOATPOINTS ?ST - TASK ?H - HELICOPTER ?T-1 - AUTOTAKEOFF ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (= ?C-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (TASK-RUNNING-ON ?ST ?H) (NOT (= ?T ?ST))
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                      (AUTOTAKEOFF-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                (DOATPOINTS-MISSION-TASK ?T ?ST)
                (NOT (DOATPOINTS-DEFERRED-EVENT-READY ?T))
                (NOT (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T))
                (NOT (AUTOTAKEOFF-MODE-IS-PRE_INIT ?T-1))
                (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1)
                (CALLED-BY ?T-1 ?C-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_CALL_INIT-AUTOLAND-CALL_SET_ARGS
   :parameters (?T - DOATPOINTS ?ST - TASK ?H - HELICOPTER ?T-1 - AUTOLAND ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (= ?C-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (TASK-RUNNING-ON ?ST ?H) (NOT (= ?T ?ST))
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                      (AUTOLAND-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                (DOATPOINTS-MISSION-TASK ?T ?ST)
                (NOT (DOATPOINTS-DEFERRED-EVENT-READY ?T))
                (NOT (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T))
                (NOT (AUTOLAND-MODE-IS-PRE_INIT ?T-1))
                (AUTOLAND-MODE-IS-PROCESSING ?T-1)
                (CALLED-BY ?T-1 ?C-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_CALL_INIT-BASICCAMERACONTROL-CALL_SET_ARGS
   :parameters (?T - DOATPOINTS ?ST - TASK ?H - HELICOPTER ?T-1 - BASICCAMERACONTROL ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (= ?C-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (TASK-RUNNING-ON ?ST ?H) (NOT (= ?T ?ST))
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                      (BASICCAMERACONTROL-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                (DOATPOINTS-MISSION-TASK ?T ?ST)
                (NOT (DOATPOINTS-DEFERRED-EVENT-READY ?T))
                (NOT (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T))
                (NOT (BASICCAMERACONTROL-MODE-IS-PRE_INIT ?T-1))
                (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1)
                (CALLED-BY ?T-1 ?C-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_CALL_INIT-NAVTOPOINT-CALL_SET_ARGS
   :parameters (?T - DOATPOINTS ?ST - TASK ?H - HELICOPTER ?T-1 - NAVTOPOINT ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (= ?C-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (TASK-RUNNING-ON ?ST ?H) (NOT (= ?T ?ST))
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                      (NAVTOPOINT-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                (DOATPOINTS-MISSION-TASK ?T ?ST)
                (NOT (DOATPOINTS-DEFERRED-EVENT-READY ?T))
                (NOT (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T))
                (NOT (NAVTOPOINT-MODE-IS-PRE_INIT ?T-1))
                (NAVTOPOINT-MODE-IS-PROCESSING ?T-1)
                (CALLED-BY ?T-1 ?C-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_CALL_INIT-DOATPOINTS-CALL_SET_ARGS
   :parameters (?T - DOATPOINTS ?ST - TASK ?H - HELICOPTER ?T-1 - DOATPOINTS ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (= ?C-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (TASK-RUNNING-ON ?ST ?H) (NOT (= ?T ?ST))
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                      (DOATPOINTS-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                (DOATPOINTS-MISSION-TASK ?T ?ST)
                (NOT (DOATPOINTS-DEFERRED-EVENT-READY ?T))
                (NOT (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T))
                (NOT (DOATPOINTS-MODE-IS-PRE_INIT ?T-1))
                (DOATPOINTS-MODE-IS-PROCESSING ?T-1)
                (CALLED-BY ?T-1 ?C-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_READY-FLY3D-INIT_OK-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-READY ?T)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-READY ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_READY-FLY3D-INIT_OK-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-READY ?T)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-READY ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_READY-AUTOTAKEOFF-INIT_OK-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-READY ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1))
                (AUTOTAKEOFF-MODE-IS-READY ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_READY-AUTOTAKEOFF-INIT_OK-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-READY ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1))
                (AUTOTAKEOFF-MODE-IS-READY ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_READY-AUTOLAND-INIT_OK-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-READY ?T)
                (NOT (AUTOLAND-MODE-IS-PROCESSING ?T-1))
                (AUTOLAND-MODE-IS-READY ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_READY-AUTOLAND-INIT_OK-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-READY ?T)
                (NOT (AUTOLAND-MODE-IS-PROCESSING ?T-1))
                (AUTOLAND-MODE-IS-READY ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_READY-BASICCAMERACONTROL-INIT_OK-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-READY ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-READY ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_READY-BASICCAMERACONTROL-INIT_OK-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-READY ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-READY ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_READY-NAVTOPOINT-INIT_OK-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (NAVTOPOINT-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-READY ?T)
                (NOT (NAVTOPOINT-MODE-IS-PROCESSING ?T-1))
                (NAVTOPOINT-MODE-IS-READY ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_READY-NAVTOPOINT-INIT_OK-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (NAVTOPOINT-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-READY ?T)
                (NOT (NAVTOPOINT-MODE-IS-PROCESSING ?T-1))
                (NAVTOPOINT-MODE-IS-READY ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_READY-DOATPOINTS-INIT_OK-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (DOATPOINTS-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-READY ?T)
                (NOT (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
                (DOATPOINTS-MODE-IS-READY ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_READY-DOATPOINTS-INIT_OK-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (DOATPOINTS-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-READY ?T)
                (NOT (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
                (DOATPOINTS-MODE-IS-READY ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_FAIL-FLY3D-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_FAIL-FLY3D-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_FAIL-AUTOTAKEOFF-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_FAIL-AUTOTAKEOFF-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_FAIL-AUTOLAND-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-MODE-IS-PROCESSING ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                (NOT (AUTOLAND-MODE-IS-PROCESSING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_FAIL-AUTOLAND-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_FAIL-BASICCAMERACONTROL-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_FAIL-BASICCAMERACONTROL-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_FAIL-NAVTOPOINT-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (NAVTOPOINT-MODE-IS-PROCESSING ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                (NOT (NAVTOPOINT-MODE-IS-PROCESSING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_FAIL-NAVTOPOINT-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_FAIL-DOATPOINTS-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_INIT_FAIL-DOATPOINTS-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION2-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?O0 - OBSERVATION )
   :precondition (AND (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT7) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION3 ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION2-1
   :parameters (?T - DOATPOINTS ?ST - TASK )
   :precondition (AND (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION3 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION3_2
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION3 ?T)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION3 ?T))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_READY
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-DEFERRED-EVENT-READY ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_1
                    ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-READY ?T)))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL-0
   :parameters (?T - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T)
                      (MATCHES-2 ?O0 ?T FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-MODE-IS-RUNNING ?T))
                (DOATPOINTS-MODE-IS-FAILED ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL-1
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T))
   :effect (AND (NOT (DOATPOINTS-MODE-IS-RUNNING ?T))
                (DOATPOINTS-MODE-IS-FAILED ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE-0
   :parameters (?T - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT9) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                    ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE-1
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                    ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-FLY3D-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (FLY3D-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-FLY3D-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (FLY3D-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-FLY3D-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-FLY3D-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-AUTOTAKEOFF-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-AUTOTAKEOFF-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-AUTOTAKEOFF-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-AUTOTAKEOFF-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-AUTOLAND-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (AUTOLAND-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-FAILED ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-AUTOLAND-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (AUTOLAND-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-FAILED ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-AUTOLAND-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (AUTOLAND-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-DONE ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-AUTOLAND-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (AUTOLAND-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-DONE ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-BASICCAMERACONTROL-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-BASICCAMERACONTROL-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-BASICCAMERACONTROL-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-BASICCAMERACONTROL-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-NAVTOPOINT-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-DONE ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-NAVTOPOINT-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-DONE ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-NAVTOPOINT-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-FAILED ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-NAVTOPOINT-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-FAILED ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-DOATPOINTS-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-DOATPOINTS-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE_2-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                          ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_READY_OK-FLY3D-CALL_START
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_1
                          ?T)
                      (FLY3D-MODE-IS-READY ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                    ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-DONE ?T))
                (NOT (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T))
                (FLY3D-IN_START_CALL-IS-YES ?T-1)
                (NOT (FLY3D-MODE-IS-READY ?T-1))
                (FLY3D-MODE-IS-RUNNING ?T-1)
                (FLY3D-FSM_EXEC-IS-START ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_READY_OK-AUTOTAKEOFF-CALL_START
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_1
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-READY ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                    ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-DONE ?T))
                (NOT (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T))
                (AUTOTAKEOFF-IN_START_CALL-IS-YES ?T-1)
                (NOT (AUTOTAKEOFF-MODE-IS-READY ?T-1))
                (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                (AUTOTAKEOFF-FSM_EXEC-IS-START ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_READY_OK-AUTOLAND-CALL_START
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_1
                          ?T)
                      (AUTOLAND-MODE-IS-READY ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                    ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-DONE ?T))
                (NOT (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T))
                (AUTOLAND-IN_START_CALL-IS-YES ?T-1)
                (AUTOLAND-FSM_EXEC-IS-START ?T-1)
                (NOT (AUTOLAND-MODE-IS-READY ?T-1))
                (AUTOLAND-MODE-IS-RUNNING ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_READY_OK-BASICCAMERACONTROL-CALL_START
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_1
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-READY ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                    ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-DONE ?T))
                (NOT (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T))
                (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1)
                (NOT (BASICCAMERACONTROL-MODE-IS-READY ?T-1))
                (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                (BASICCAMERACONTROL-FSM_EXEC-IS-START ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_READY_OK-NAVTOPOINT-CALL_START
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_1
                          ?T)
                      (NAVTOPOINT-MODE-IS-READY ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                    ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-DONE ?T))
                (NOT (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T))
                (NAVTOPOINT-FSM_EXEC-IS-START ?T-1)
                (NOT (NAVTOPOINT-MODE-IS-READY ?T-1))
                (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                (NAVTOPOINT-IN_START_CALL-IS-YES ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_READY_OK-DOATPOINTS-CALL_START
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_1
                          ?T)
                      (DOATPOINTS-MODE-IS-READY ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                    ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-DONE ?T))
                (NOT (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T))
                (NOT (DOATPOINTS-MODE-IS-READY ?T-1))
                (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                (DOATPOINTS-IN_START_CALL-IS-YES ?T-1)
                (DOATPOINTS-FSM_EXEC-IS-START ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_READY_OK2-0
   :parameters (?T - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT8) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_READY_OK2-1
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_SYNC_DONE-FLY3D-START_EXIT
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-START ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-DONE ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_SYNC_DONE-BASICCAMERACONTROL-NOT_IN_CONTROL_EXIT_1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-DONE ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_SYNC_DONE-DOATPOINTS-START_EXIT
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-START ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-DONE ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_SYNC_FAIL-FLY3D-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_SYNC_FAIL-FLY3D-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_SYNC_FAIL-AUTOTAKEOFF-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_SYNC_FAIL-AUTOTAKEOFF-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_SYNC_FAIL-AUTOLAND-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (AUTOLAND-MODE-IS-PROCESSING ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)
                (NOT (AUTOLAND-MODE-IS-PROCESSING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_SYNC_FAIL-AUTOLAND-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_SYNC_FAIL-BASICCAMERACONTROL-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_SYNC_FAIL-BASICCAMERACONTROL-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_SYNC_FAIL-NAVTOPOINT-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-PROCESSING ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)
                (NOT (NAVTOPOINT-MODE-IS-PROCESSING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_SYNC_FAIL-NAVTOPOINT-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_SYNC_FAIL-DOATPOINTS-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFER_SYNC_FAIL-DOATPOINTS-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_2
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_OK_SYNC
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                         ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_CHECKPOINT12_SYNC-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT12) (PENDING ?O0))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_CHECKPOINT12_SYNC-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT20_SYNC-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT20) (PENDING ?O0))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT20_SYNC-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_SYNC-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT21) (PENDING ?O0))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_SYNC-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_AFTER22_SYNC-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT21) (PENDING ?O0))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_AFTER22_SYNC-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_BUSY_SYNC
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (FLY3D-TRAJECTORY-NOT-SENT ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_BUSY_AFTER22_SYNC
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE) (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (FLY3D-TRAJECTORY-NOT-SENT ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-AUTOTAKEOFF-TAKEOFF_ACTION2
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2 ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE)
                (NOT (AUTOTAKEOFF-IN_START_CALL-IS-YES ?T-1))
                (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1)
                (NOT (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2 ?T-1))
                (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-AUTOLAND-START_OK
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-START ?T-1))
   :effect (AND (STATIC-TRUE)
                (AUTOLAND-FSM_STATE-IS-START_DECOUPLE ?T-1)
                (NOT (AUTOLAND-IN_START_CALL-IS-YES ?T-1))
                (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                (NOT (AUTOLAND-FSM_EXEC-IS-START ?T-1))
                (AUTOLAND-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-BASICCAMERACONTROL-SEQ_POSITION_COMMAND_WAIT_1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-BASICCAMERACONTROL-SEQ_BEARING_COMMAND_WAIT_1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-BASICCAMERACONTROL-CONVERGE_WAIT_WAIT_1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-BASICCAMERACONTROL-CONVERGE_FINAL_WAIT_WAIT_1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-BASICCAMERACONTROL-ENTER_TRACKING_2A
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-BASICCAMERACONTROL-SEQ_TURN_COMMAND_WAIT_1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-BASICCAMERACONTROL-SEQ_LOCK_COMMAND_WAIT_1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-BASICCAMERACONTROL-LOCKED_CAMERA_MODE_ACTION2A
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-BASICCAMERACONTROL-NOT_IN_CONTROL_ACTION2_1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-NAVTOPOINT-START_OK
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-START ?T-1))
   :effect (AND (STATIC-TRUE) (NOT (NAVTOPOINT-FSM_EXEC-IS-START ?T-1))
                (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T-1)
                (NAVTOPOINT-FSM_STATE-IS-START_DECOUPLE ?T-1)
                (NOT (NAVTOPOINT-IN_START_CALL-IS-YES ?T-1))
                (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-DOATPOINTS-ENTER_WAIT_FOR_GO_1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE)
                (NOT (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
                (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-DOATPOINTS-RUN_FLY3D_ACTION2_OK_1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE)
                (NOT (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
                (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-IGNORE_MISSION_TASK_RUNNING-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION3_1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION3 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (STATIC-TRUE)
                (NOT (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
                (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION3 ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFERRED_SYNC_DONE
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-DEFERRED-EVENT-DONE ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-DONE ?T)))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_DONE-FLY3D-START_EXIT
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-START ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_DONE-BASICCAMERACONTROL-NOT_IN_CONTROL_EXIT_1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_DONE-DOATPOINTS-START_EXIT
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-START ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_CANCEL_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_CANCEL_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_CANCEL_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_CANCEL_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-FLY3D-IN_WAIT_TRAJECTORY_END_FCL_FINISHED_REACTION2C-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-FLY3D-IN_WAIT_TRAJECTORY_END_FCL_FINISHED_REACTION2C-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-EXIT-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-EXIT-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-FLY3D-GOAL_POINT_WAIT_CMD_CONTINUE_EXIT-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-FLY3D-GOAL_POINT_WAIT_CMD_CONTINUE_EXIT-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-FLY3D-GOAL_POINT_WAIT_IDLE_EXIT-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-FLY3D-GOAL_POINT_WAIT_IDLE_EXIT-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-FLY3D-GLOBAL_FCL_CANCEL_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-FLY3D-GLOBAL_FCL_CANCEL_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOTAKEOFF-TAKEOFF_FCL_CANCEL_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOTAKEOFF-TAKEOFF_FCL_CANCEL_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION2_EXIT-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION2_EXIT-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_FINISHED_REACTION2-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_2
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_FINISHED_REACTION2-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_2
                          ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_CANCEL_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_CANCEL_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOLAND-MOVE_TO_INIT_POS_ACTION2_EXIT-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOLAND-MOVE_TO_INIT_POS_ACTION2_EXIT-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOLAND-YAW_TO_APPROACH_HEADING_ACTION2_EXIT-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOLAND-YAW_TO_APPROACH_HEADING_ACTION2_EXIT-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOLAND-READY_TO_LAND_CMD_CANCEL-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-READY_TO_LAND ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOLAND-READY_TO_LAND_CMD_CANCEL-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-READY_TO_LAND ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOLAND-LAND_FCL_FINISHED_REACTION2-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-REACTION_FINISHED_2 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-AUTOLAND-LAND_FCL_FINISHED_REACTION2-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-REACTION_FINISHED_2 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-BASICCAMERACONTROL-TRACKING_IDLE_EXIT-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-BASICCAMERACONTROL-TRACKING_IDLE_EXIT-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-BASICCAMERACONTROL-LOCKED_CAMERA_MODE_IDLE_EXIT-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-BASICCAMERACONTROL-LOCKED_CAMERA_MODE_IDLE_EXIT-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-BASICCAMERACONTROL-NOT_IN_CONTROL_EXIT_2-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-BASICCAMERACONTROL-NOT_IN_CONTROL_EXIT_2-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-BASICCAMERACONTROL-GLOBAL_CMD_STOP-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-BASICCAMERACONTROL-GLOBAL_CMD_STOP-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-NAVTOPOINT-WAIT_FOR_GO_EXIT-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-WAIT_FOR_GO ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-NAVTOPOINT-WAIT_FOR_GO_EXIT-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-WAIT_FOR_GO ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-NAVTOPOINT-FLY_PATH_FLY3D_DONE_2-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_2 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-NAVTOPOINT-FLY_PATH_FLY3D_DONE_2-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_2 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-DOATPOINTS-PLAN_PATH_ACTION1_EXIT-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-DOATPOINTS-PLAN_PATH_ACTION1_EXIT-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-DOATPOINTS-NEXT_WAYPOINT_ACTION1_EXIT-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-DOATPOINTS-NEXT_WAYPOINT_ACTION1_EXIT-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-DOATPOINTS-WAIT_FOR_GO_CMD_CANCEL-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_DONE-DOATPOINTS-WAIT_FOR_GO_CMD_CANCEL-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_1-0
   :parameters (?T - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                          ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT10) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                    ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_1-1
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                          ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                    ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-FLY3D-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (FLY3D-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-FLY3D-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (FLY3D-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-FLY3D-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-FLY3D-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-AUTOTAKEOFF-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-AUTOTAKEOFF-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-AUTOTAKEOFF-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-AUTOTAKEOFF-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-AUTOLAND-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (AUTOLAND-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-FAILED ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-AUTOLAND-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (AUTOLAND-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-FAILED ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-AUTOLAND-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (AUTOLAND-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-DONE ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-AUTOLAND-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (AUTOLAND-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-DONE ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-BASICCAMERACONTROL-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-BASICCAMERACONTROL-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-BASICCAMERACONTROL-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-BASICCAMERACONTROL-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-NAVTOPOINT-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-DONE ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-NAVTOPOINT-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-DONE ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-NAVTOPOINT-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-FAILED ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-NAVTOPOINT-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-FAILED ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-DOATPOINTS-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-DOATPOINTS-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_2-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                          ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL-FLY3D-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL-FLY3D-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL-AUTOTAKEOFF-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL-AUTOTAKEOFF-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL-AUTOLAND-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-PROCESSING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL-AUTOLAND-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL-BASICCAMERACONTROL-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL-BASICCAMERACONTROL-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL-NAVTOPOINT-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-PROCESSING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL-NAVTOPOINT-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL-DOATPOINTS-INIT_FAIL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL-DOATPOINTS-FAIL_IN_START_CALL
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_DEFERRED_SYNC_FAIL
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-DEFERRED-EVENT-START-FAILED ?T)))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_1-0
   :parameters (?T - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                          ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT11) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                    ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_1-1
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                          ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                    ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-FLY3D-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (FLY3D-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-FLY3D-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (FLY3D-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-FLY3D-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-FLY3D-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-AUTOTAKEOFF-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-AUTOTAKEOFF-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-AUTOTAKEOFF-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-AUTOTAKEOFF-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-AUTOLAND-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (AUTOLAND-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-FAILED ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-AUTOLAND-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (AUTOLAND-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-FAILED ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-AUTOLAND-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (AUTOLAND-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-DONE ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-AUTOLAND-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (AUTOLAND-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-DONE ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-BASICCAMERACONTROL-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-BASICCAMERACONTROL-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-BASICCAMERACONTROL-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-BASICCAMERACONTROL-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-NAVTOPOINT-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-DONE ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-NAVTOPOINT-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-DONE ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-NAVTOPOINT-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-FAILED ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-NAVTOPOINT-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-FAILED ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-DOATPOINTS-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-DOATPOINTS-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_2-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                          ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_221-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-221)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_221-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_222-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-222)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_222-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_223-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-223)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_223-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_ERROR_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-211)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_ERROR_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_ERROR_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-211)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_ERROR_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SPECIFIC_220-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-220)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SPECIFIC_220-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-IN_SEND_FIRST_TRAJECTORY_FCL_FINISHED_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-213)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-IN_SEND_FIRST_TRAJECTORY_FCL_FINISHED_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_GOAL_HEADING_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_GOAL_HEADING_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-FAIL-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-FAIL ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-214)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-FAIL-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-FAIL ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_GOAL_POINT_WAIT_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-ENTER_GOAL_POINT_WAIT_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-GLOBAL_FCL_ERROR_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-210)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-FLY3D-GLOBAL_FCL_ERROR_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOTAKEOFF-TAKEOFF_FCL_ERROR_REACTION1-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-210)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOTAKEOFF-TAKEOFF_FCL_ERROR_REACTION1-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_FAIL_SPECIFIC_101-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-101)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_FAIL_SPECIFIC_101-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_FAIL_SPECIFIC_102-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-102)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_FAIL_SPECIFIC_102-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_CLIMB_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-CLIMB ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_CLIMB_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-CLIMB ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_ERROR_REACTION-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-210)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_ERROR_REACTION-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOLAND-MOVE_TO_INIT_POS_ACTION1_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOLAND-MOVE_TO_INIT_POS_ACTION1_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOLAND-MOVE_TO_INIT_POS_ACTION1_FAIL_SPECIFIC_101-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-101)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOLAND-MOVE_TO_INIT_POS_ACTION1_FAIL_SPECIFIC_101-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOLAND-MOVE_TO_INIT_POS_ACTION1_FAIL_SPECIFIC_102-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-102)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOLAND-MOVE_TO_INIT_POS_ACTION1_FAIL_SPECIFIC_102-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOLAND-MOVE_TO_INIT_POS_ACTION2_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOLAND-MOVE_TO_INIT_POS_ACTION2_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOLAND-MOVE_TO_INIT_POS_ACTION2_FAIL-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-212)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOLAND-MOVE_TO_INIT_POS_ACTION2_FAIL-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOLAND-YAW_TO_APPROACH_HEADING_ACTION2_FAIL-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-212)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOLAND-YAW_TO_APPROACH_HEADING_ACTION2_FAIL-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOLAND-LAND_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-AUTOLAND-LAND_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-START_TRACKING_POSITION_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-START_TRACKING_POSITION_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-START_TRACKING_POSITION_FAIL_101-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-101)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-START_TRACKING_POSITION_FAIL_101-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-START_TRACKING_POSITION_FAIL_102-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-102)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-START_TRACKING_POSITION_FAIL_102-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-SEQ_POSITION_COMMAND_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-SEQ_POSITION_COMMAND_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-SEQ_BEARING_COMMAND_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-SEQ_BEARING_COMMAND_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-CONVERGE_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-CONVERGE_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-CONVERGE_FAILED_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-CONVERGE_FAILED_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-CONVERGE_FAILED_FAIL_310-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-310)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-CONVERGE_FAILED_FAIL_310-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-TRACKING_IDLE_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-TRACKING_IDLE_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-SET_LOCKED_MODE_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-SET_LOCKED_MODE_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-SEQ_TURN_COMMAND_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-SEQ_TURN_COMMAND_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-SEQ_TURN_COMMAND_FAIL_401-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-401)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-SEQ_TURN_COMMAND_FAIL_401-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-SEQ_TURN_COMMAND_FAIL_402-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-402)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-SEQ_TURN_COMMAND_FAIL_402-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-SEQ_LOCK_COMMAND_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-SEQ_LOCK_COMMAND_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-LOCKED_CAMERA_MODE_IDLE_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-LOCKED_CAMERA_MODE_IDLE_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-NOT_IN_CONTROL_FAIL-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-700)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-NOT_IN_CONTROL_FAIL-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-NOT_IN_CONTROL_CMD_RESUME_CONTROL_FAIL-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-BASICCAMERACONTROL-NOT_IN_CONTROL_CMD_RESUME_CONTROL_FAIL-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-PLAN_PATH_ACTION1_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-PLAN_PATH_ACTION1_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-PLAN_PATH_ACTION1_FAIL_SPECIFIC_101-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-101)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-PLAN_PATH_ACTION1_FAIL_SPECIFIC_101-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-PLAN_PATH_ACTION1_FAIL_SPECIFIC_102-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-102)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-PLAN_PATH_ACTION1_FAIL_SPECIFIC_102-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SPECIFIC_402-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-402)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SPECIFIC_402-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SPECIFIC_403-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-403)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SPECIFIC_403-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SPECIFIC_404-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-404)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SPECIFIC_404-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-FLY_PATH_ACTION1_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-FLY_PATH_ACTION1_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-FLY_PATH_ACTION1_FAIL_PROXY_INIT-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-FLY_PATH_ACTION1_FAIL_PROXY_INIT-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-FLY_PATH_SUBTASK_FAIL_2-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_2 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-NAVTOPOINT-FLY_PATH_SUBTASK_FAIL_2-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_2 ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_202-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-202)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_202-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_203-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-203)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_203-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-NEXT_WAYPOINT_ACTION1_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-NEXT_WAYPOINT_ACTION1_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-NEXT_WAYPOINT_ACTION1_FAIL_302-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-302)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-NEXT_WAYPOINT_ACTION1_FAIL_302-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-RUN_FLY3D_ACTION1_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-RUN_FLY3D_ACTION1_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-RUN_FLY3D_ACTION1_FAIL_SUBTASK-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-RUN_FLY3D_ACTION1_FAIL_SUBTASK-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-RUN_FLY3D_FAILED2-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_2
                          ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-RUN_FLY3D_FAILED2-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_2
                          ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-EXEC_WAYPOINT_ACTION_ACTION1_FAIL_301-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-301)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-EXEC_WAYPOINT_ACTION_ACTION1_FAIL_301-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_FAIL_SERVICE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_FAIL_SERVICE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_FAIL_SUBTASK-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_FAIL_SUBTASK-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_1-0
   :parameters (?T - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                          ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT12) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                    ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_1-1
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                          ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                    ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-FLY3D-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (FLY3D-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-FLY3D-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (FLY3D-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-FLY3D-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-FLY3D-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-AUTOTAKEOFF-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-AUTOTAKEOFF-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-AUTOTAKEOFF-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-AUTOTAKEOFF-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-AUTOLAND-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (AUTOLAND-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-FAILED ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-AUTOLAND-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (AUTOLAND-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-FAILED ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-AUTOLAND-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (AUTOLAND-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-DONE ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-AUTOLAND-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (AUTOLAND-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-DONE ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-BASICCAMERACONTROL-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-BASICCAMERACONTROL-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-BASICCAMERACONTROL-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-BASICCAMERACONTROL-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-NAVTOPOINT-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-DONE ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-NAVTOPOINT-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-DONE ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-NAVTOPOINT-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-FAILED ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-NAVTOPOINT-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (NAVTOPOINT-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-FAILED ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-DOATPOINTS-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-DOATPOINTS-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2A-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2B-0
   :parameters (?T - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT12) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2B-1
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_OK
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED-FLIGHTCONTROL-FCL-EVENT-FINISHED-0
   :parameters (?T - DOATPOINTS ?H - HELICOPTER ?H-1 - HELICOPTER ?O0 - OBSERVATION )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T)
                      (MATCHES-2 ?O0 ?H-1 FCL-EVENT-FINISHED)
                      (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1 ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED-FLIGHTCONTROL-FCL-EVENT-FINISHED-1
   :parameters (?T - DOATPOINTS ?H - HELICOPTER ?H-1 - HELICOPTER )
   :precondition (AND (= ?H-1 ?H) (TASK-RUNNING-ON ?T ?H)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1 ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-FLY3D-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (FLY3D-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-FLY3D-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (FLY3D-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-FLY3D-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-FLY3D-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-AUTOTAKEOFF-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-AUTOTAKEOFF-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-AUTOTAKEOFF-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-AUTOTAKEOFF-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-AUTOLAND-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (AUTOLAND-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-FAILED ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-AUTOLAND-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (AUTOLAND-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-FAILED ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-AUTOLAND-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (AUTOLAND-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-DONE ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-AUTOLAND-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (AUTOLAND-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (AUTOLAND-MODE-IS-DONE ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-BASICCAMERACONTROL-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-BASICCAMERACONTROL-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-BASICCAMERACONTROL-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-BASICCAMERACONTROL-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-NAVTOPOINT-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (NAVTOPOINT-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-DONE ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-NAVTOPOINT-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (NAVTOPOINT-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-DONE ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-NAVTOPOINT-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-FAILED ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-NAVTOPOINT-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (NAVTOPOINT-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (NAVTOPOINT-MODE-IS-FAILED ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-DOATPOINTS-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-DOATPOINTS-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action DOATPOINTS-SEQ_EMERGENCY_BRAKE_FCL_FINISHED1-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - DOATPOINTS ?ST - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?ST) (DOATPOINTS-MISSION-TASK ?T ?ST)
                      (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                          ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_FCL_FINISHED_1
                         ?T))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                (NOT (DOATPOINTS-MISSION-TASK ?T ?ST))
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action DOATPOINTS-ENTER_NEXT_WAYPOINT_ACTION
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT_ACTION ?T))
                (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION ?T))
  )

  (:action DOATPOINTS-CHECK_POSITION_OK
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T))
                (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T))
  )

  (:action DOATPOINTS-CHECK_POSITION_REPLAN-0
   :parameters (?T - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT13) (PENDING ?O0))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T))
                (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action DOATPOINTS-CHECK_POSITION_REPLAN-1
   :parameters (?T - DOATPOINTS )
   :precondition (AND (DOATPOINTS-MODE-IS-RUNNING ?T)
                      (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T))
   :effect (AND (NOT (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T))
                (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-START_OK
   :parameters (?T - PHOTOGRAMETRY )
   :precondition (AND (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-START ?T))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-START ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1 ?T))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_INIT_CALL-DOATPOINTS-CALL_SET_ARGS
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?H - HELICOPTER ?T-1 - DOATPOINTS ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?PT) (= ?C-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (TASK-RUNNING-ON ?PT ?H)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1 ?T)
                      (DOATPOINTS-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1 ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1-WAIT ?T)
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL ?T)
                (NOT (DOATPOINTS-MODE-IS-PRE_INIT ?T-1))
                (DOATPOINTS-MODE-IS-PROCESSING ?T-1)
                (CALLED-BY ?T-1 ?C-1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_INIT_OK-DOATPOINTS-INIT_OK-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1-WAIT ?T)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-READY ?T)
                (NOT (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
                (DOATPOINTS-MODE-IS-READY ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_INIT_OK-DOATPOINTS-INIT_OK-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1-WAIT ?T)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-READY ?T)
                (NOT (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
                (DOATPOINTS-MODE-IS-READY ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_INIT_FAIL-DOATPOINTS-INIT_FAIL
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1-WAIT ?T)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_INIT_FAIL-DOATPOINTS-FAIL_IN_START_CALL
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1-WAIT ?T)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_INIT_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_FAIL-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1-WAIT ?T)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_INIT_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_FAIL-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1-WAIT ?T)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                          ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_INIT_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_FAIL-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1-WAIT ?T)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_INIT_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_FAIL-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1-WAIT ?T)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                          ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_INIT_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_READY_START_OK-DOATPOINTS-CALL_START
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-READY ?T)
                      (DOATPOINTS-MODE-IS-READY ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_READY ?T)
                (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-READY ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL ?T)
                (NOT (DOATPOINTS-MODE-IS-READY ?T-1))
                (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                (DOATPOINTS-IN_START_CALL-IS-YES ?T-1)
                (DOATPOINTS-FSM_EXEC-IS-START ?T-1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_START_FAIL-DOATPOINTS-INIT_FAIL
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_START_FAIL-DOATPOINTS-FAIL_IN_START_CALL
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_START_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_FAIL-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_START_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_FAIL-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                          ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_START_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_FAIL-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_START_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_FAIL-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                          ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_START_DONE-DOATPOINTS-START_EXIT
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-START ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-DONE ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_START_RUNNING-DOATPOINTS-ENTER_WAIT_FOR_GO_1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-RUNNING ?T)
                (NOT (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
                (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_START_RUNNING-DOATPOINTS-RUN_FLY3D_ACTION2_OK_1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-RUNNING ?T)
                (NOT (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
                (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_START_RUNNING-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION3_1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                          ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION3 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-IN_START_CALL
                         ?T))
                (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-RUNNING ?T)
                (NOT (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
                (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION3 ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_READY_START_RUNNING-0
   :parameters (?T - PHOTOGRAMETRY ?O0 - OBSERVATION )
   :precondition (AND (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_READY
                          ?T)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-RUNNING ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT2) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_READY
                         ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_READY_START_RUNNING-1
   :parameters (?T - PHOTOGRAMETRY )
   :precondition (AND (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_READY
                          ?T)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-RUNNING ?T))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_READY
                         ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_DONE-DOATPOINTS-PLAN_PATH_ACTION1_EXIT-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_DONE-DOATPOINTS-PLAN_PATH_ACTION1_EXIT-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_DONE-DOATPOINTS-NEXT_WAYPOINT_ACTION1_EXIT-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_DONE-DOATPOINTS-NEXT_WAYPOINT_ACTION1_EXIT-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_DONE-DOATPOINTS-WAIT_FOR_GO_CMD_CANCEL-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_DONE-DOATPOINTS-WAIT_FOR_GO_CMD_CANCEL-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_DONE_1-DOATPOINTS-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_1
                          ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_1
                         ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_2
                    ?T)
                (NOT (PHOTOGRAMETRY-PLAN-TASK ?T ?PT))
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_DONE_1-DOATPOINTS-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_1
                          ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_1
                         ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_2
                    ?T)
                (NOT (PHOTOGRAMETRY-PLAN-TASK ?T ?PT))
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_DONE_1-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_1
                          ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_1
                         ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_2
                    ?T)
                (NOT (PHOTOGRAMETRY-PLAN-TASK ?T ?PT))
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_DONE_1-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_1
                          ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_1
                         ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_2
                    ?T)
                (NOT (PHOTOGRAMETRY-PLAN-TASK ?T ?PT))
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_INIT_FAIL
   :parameters (?T - PHOTOGRAMETRY )
   :precondition (AND (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED
                          ?T))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_SERVICE-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_SERVICE-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_202-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-202)
                      (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_202-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_203-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-203)
                      (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_203-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-NEXT_WAYPOINT_ACTION1_FAIL_SERVICE-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-NEXT_WAYPOINT_ACTION1_FAIL_SERVICE-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-NEXT_WAYPOINT_ACTION1_FAIL_302-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-302)
                      (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-NEXT_WAYPOINT_ACTION1_FAIL_302-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-RUN_FLY3D_ACTION1_FAIL_SERVICE-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-RUN_FLY3D_ACTION1_FAIL_SERVICE-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-RUN_FLY3D_ACTION1_FAIL_SUBTASK-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-RUN_FLY3D_ACTION1_FAIL_SUBTASK-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-RUN_FLY3D_FAILED2-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_2
                          ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-RUN_FLY3D_FAILED2-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_2
                          ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-EXEC_WAYPOINT_ACTION_ACTION1_FAIL_301-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-301)
                      (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-EXEC_WAYPOINT_ACTION_ACTION1_FAIL_301-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_FAIL_SERVICE-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_FAIL_SERVICE-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_FAIL_SUBTASK-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_FAIL_SUBTASK-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-SEQ_EMERGENCY_BRAKE_FAIL_SERVICE-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-SEQ_EMERGENCY_BRAKE_FAIL_SERVICE-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-CHECK_POSITION_FAIL_SERVICE-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-CHECK_POSITION_FAIL_SERVICE-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-CHECK_POSITION_FAIL_101-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-101)
                      (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-CHECK_POSITION_FAIL_101-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-CHECK_POSITION_FAIL_777-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-777)
                      (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_ASYNC_FAIL-DOATPOINTS-CHECK_POSITION_FAIL_777-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                    ?T)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_FAILED_1-DOATPOINTS-CALL_DESTROY_WHEN_DONE-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                          ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                         ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_2
                    ?T)
                (NOT (PHOTOGRAMETRY-PLAN-TASK ?T ?PT))
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_FAILED_1-DOATPOINTS-CALL_DESTROY_WHEN_DONE-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                          ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                         ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_2
                    ?T)
                (NOT (PHOTOGRAMETRY-PLAN-TASK ?T ?PT))
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_FAILED_1-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                          ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                         ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_2
                    ?T)
                (NOT (PHOTOGRAMETRY-PLAN-TASK ?T ?PT))
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-PLAN_TASK_FAILED_1-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                          ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_1
                         ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_2
                    ?T)
                (NOT (PHOTOGRAMETRY-PLAN-TASK ?T ?PT))
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-DAP_CHECKPOINT7-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION2-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?WPT - TASK ?T-1 - DOATPOINTS ?ST-1 - TASK ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (= ?ST-1 ?WPT)
                      (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MISSION-TASK ?T-1 ?ST-1)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT7) (PENDING ?O0))
   :effect (AND (PHOTOGRAMETRY-WP-TASK ?T ?WPT)
                (FORALL (?PREV_WPT - TASK)
                        (WHEN (NOT (= ?PREV_WPT ?WPT))
                          (NOT (PHOTOGRAMETRY-WP-TASK ?T ?PREV_WPT))))
                (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_NEW_WP_TASK ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-ACTION3 ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-DAP_CHECKPOINT7-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION2-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?WPT - TASK ?T-1 - DOATPOINTS ?ST-1 - TASK )
   :precondition (AND (= ?T-1 ?PT) (= ?ST-1 ?WPT)
                      (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MISSION-TASK ?T-1 ?ST-1)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T-1))
   :effect (AND (PHOTOGRAMETRY-WP-TASK ?T ?WPT)
                (FORALL (?PREV_WPT - TASK)
                        (WHEN (NOT (= ?PREV_WPT ?WPT))
                          (NOT (PHOTOGRAMETRY-WP-TASK ?T ?PREV_WPT))))
                (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_NEW_WP_TASK ?T)
                (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-ACTION3 ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-NEW_WP_TASK_EVENT-0
   :parameters (?T - PHOTOGRAMETRY ?O0 - OBSERVATION )
   :precondition (AND (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_NEW_WP_TASK
                          ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT3) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_NEW_WP_TASK
                         ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-NEW_WP_TASK_EVENT-1
   :parameters (?T - PHOTOGRAMETRY )
   :precondition (AND (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_NEW_WP_TASK
                          ?T))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_NEW_WP_TASK
                         ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-DAP_CHECKPOINT9-DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1)
                      (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT9) (PENDING ?O0))
   :effect (AND (FORALL (?WPT - TASK)
                        (NOT (PHOTOGRAMETRY-WP-TASK ?T ?WPT)))
                (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                    ?T-1)
                (NOT (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T-1))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-DAP_CHECKPOINT9-DOATPOINTS-EXEC_RUN_TASK_ACTION_INIT_FAIL_IGNORE-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1)
                      (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T-1))
   :effect (AND (FORALL (?WPT - TASK)
                        (NOT (PHOTOGRAMETRY-WP-TASK ?T ?WPT)))
                (NOT (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_READY_FAIL_2
                    ?T-1)
                (NOT (DOATPOINTS-DEFERRED-EVENT-INIT-FAILED ?T-1))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-DAP_CHECKPOINT10-DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_1-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT10) (PENDING ?O0))
   :effect (AND (FORALL (?WPT - TASK)
                        (NOT (PHOTOGRAMETRY-WP-TASK ?T ?WPT)))
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                         ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                    ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-DAP_CHECKPOINT10-DOATPOINTS-EXEC_RUN_TASK_ACTION_DONE_1-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                          ?T-1))
   :effect (AND (FORALL (?WPT - TASK)
                        (NOT (PHOTOGRAMETRY-WP-TASK ?T ?WPT)))
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_1
                         ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_DONE_2
                    ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-DAP_CHECKPOINT11-DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_1-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT11) (PENDING ?O0))
   :effect (AND (FORALL (?WPT - TASK)
                        (NOT (PHOTOGRAMETRY-WP-TASK ?T ?WPT)))
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                         ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                    ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-DAP_CHECKPOINT11-DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_IGNORE_1-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                          ?T-1))
   :effect (AND (FORALL (?WPT - TASK)
                        (NOT (PHOTOGRAMETRY-WP-TASK ?T ?WPT)))
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                         ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_2
                    ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-DAP_CHECKPOINT12-DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_1-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT12) (PENDING ?O0))
   :effect (AND (FORALL (?WPT - TASK)
                        (NOT (PHOTOGRAMETRY-WP-TASK ?T ?WPT)))
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                         ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                    ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-DAP_CHECKPOINT12-DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_1-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                          ?T-1))
   :effect (AND (FORALL (?WPT - TASK)
                        (NOT (PHOTOGRAMETRY-WP-TASK ?T ?WPT)))
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                         ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                    ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-DAP_CHECKPOINT12-DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2B-0
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT12) (PENDING ?O0))
   :effect (AND (FORALL (?WPT - TASK)
                        (NOT (PHOTOGRAMETRY-WP-TASK ?T ?WPT)))
                (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                         ?T-1))
                (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T-1)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-DAP_CHECKPOINT12-DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_IGNORE_2B-1
   :parameters (?T - PHOTOGRAMETRY ?PT - DOATPOINTS ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?PT) (PHOTOGRAMETRY-PLAN-TASK ?T ?PT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                          ?T-1))
   :effect (AND (FORALL (?WPT - TASK)
                        (NOT (PHOTOGRAMETRY-WP-TASK ?T ?WPT)))
                (NOT (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                         ?T-1))
                (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE ?T-1)
                (NOT (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_2
                         ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-BCC_ON_TARGET_EVENT-BASICCAMERACONTROL-ENTER_TRACKING_1-0
   :parameters (?T - PHOTOGRAMETRY ?WPT - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?WPT) (PHOTOGRAMETRY-WP-TASK ?T ?WPT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT201) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_BCC_ON_TARGET ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-BCC_ON_TARGET_EVENT-BASICCAMERACONTROL-ENTER_TRACKING_1-1
   :parameters (?T - PHOTOGRAMETRY ?WPT - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?WPT) (PHOTOGRAMETRY-WP-TASK ?T ?WPT)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_BCC_ON_TARGET ?T)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action PHOTOGRAMETRY-BCC_ON_TARGET_2-0
   :parameters (?T - PHOTOGRAMETRY ?O0 - OBSERVATION )
   :precondition (AND (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_BCC_ON_TARGET
                          ?T)
                      (MATCHES-2 ?O0 ?T CHECKPOINT4) (PENDING ?O0))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_BCC_ON_TARGET
                         ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action PHOTOGRAMETRY-BCC_ON_TARGET_2-1
   :parameters (?T - PHOTOGRAMETRY )
   :precondition (AND (PHOTOGRAMETRY-MODE-IS-RUNNING ?T)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_BCC_ON_TARGET
                          ?T))
   :effect (AND (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_BCC_ON_TARGET
                         ?T))
                (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FLY3D-CALL_SET_ARGS
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?T) (= ?C-1 MISSIONEXECUTOR)
                      (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-IDLE ?H)
                      (FLY3D-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                (NOT (MISSIONEXEC-MISSION-IDLE ?H))
                (MISSIONEXEC-MISSION-INIT-CALL ?H)
                (NOT (FLY3D-MODE-IS-PRE_INIT ?T-1))
                (FLY3D-MODE-IS-PROCESSING ?T-1) (CALLED-BY ?T-1 ?C-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-AUTOTAKEOFF-CALL_SET_ARGS
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?T) (= ?C-1 MISSIONEXECUTOR)
                      (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-IDLE ?H)
                      (AUTOTAKEOFF-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                (NOT (MISSIONEXEC-MISSION-IDLE ?H))
                (MISSIONEXEC-MISSION-INIT-CALL ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-PRE_INIT ?T-1))
                (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1)
                (CALLED-BY ?T-1 ?C-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-AUTOLAND-CALL_SET_ARGS
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?T) (= ?C-1 MISSIONEXECUTOR)
                      (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-IDLE ?H)
                      (AUTOLAND-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                (NOT (MISSIONEXEC-MISSION-IDLE ?H))
                (MISSIONEXEC-MISSION-INIT-CALL ?H)
                (NOT (AUTOLAND-MODE-IS-PRE_INIT ?T-1))
                (AUTOLAND-MODE-IS-PROCESSING ?T-1)
                (CALLED-BY ?T-1 ?C-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-BASICCAMERACONTROL-CALL_SET_ARGS
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?T) (= ?C-1 MISSIONEXECUTOR)
                      (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-IDLE ?H)
                      (BASICCAMERACONTROL-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                (NOT (MISSIONEXEC-MISSION-IDLE ?H))
                (MISSIONEXEC-MISSION-INIT-CALL ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-PRE_INIT ?T-1))
                (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1)
                (CALLED-BY ?T-1 ?C-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-NAVTOPOINT-CALL_SET_ARGS
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?T) (= ?C-1 MISSIONEXECUTOR)
                      (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-IDLE ?H)
                      (NAVTOPOINT-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                (NOT (MISSIONEXEC-MISSION-IDLE ?H))
                (MISSIONEXEC-MISSION-INIT-CALL ?H)
                (NOT (NAVTOPOINT-MODE-IS-PRE_INIT ?T-1))
                (NAVTOPOINT-MODE-IS-PROCESSING ?T-1)
                (CALLED-BY ?T-1 ?C-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-DOATPOINTS-CALL_SET_ARGS
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?T) (= ?C-1 MISSIONEXECUTOR)
                      (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-IDLE ?H)
                      (DOATPOINTS-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                (NOT (MISSIONEXEC-MISSION-IDLE ?H))
                (MISSIONEXEC-MISSION-INIT-CALL ?H)
                (NOT (DOATPOINTS-MODE-IS-PRE_INIT ?T-1))
                (DOATPOINTS-MODE-IS-PROCESSING ?T-1)
                (CALLED-BY ?T-1 ?C-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-PHOTOGRAMETRY-CALL_SET_ARGS
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?T) (= ?C-1 MISSIONEXECUTOR)
                      (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-IDLE ?H)
                      (PHOTOGRAMETRY-MODE-IS-PRE_INIT ?T-1))
   :effect (AND (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                (NOT (MISSIONEXEC-MISSION-IDLE ?H))
                (MISSIONEXEC-MISSION-INIT-CALL ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-PRE_INIT ?T-1))
                (PHOTOGRAMETRY-MODE-IS-PROCESSING ?T-1)
                (CALLED-BY ?T-1 ?C-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-OK-FLY3D-INIT_OK-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-READY ?H)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-READY ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-INIT-MISSION-OK-FLY3D-INIT_OK-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-READY ?H)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-READY ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-INIT-MISSION-OK-AUTOTAKEOFF-INIT_OK-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-READY ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1))
                (AUTOTAKEOFF-MODE-IS-READY ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-INIT-MISSION-OK-AUTOTAKEOFF-INIT_OK-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-READY ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1))
                (AUTOTAKEOFF-MODE-IS-READY ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-INIT-MISSION-OK-AUTOLAND-INIT_OK-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-READY ?H)
                (NOT (AUTOLAND-MODE-IS-PROCESSING ?T-1))
                (AUTOLAND-MODE-IS-READY ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-INIT-MISSION-OK-AUTOLAND-INIT_OK-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-READY ?H)
                (NOT (AUTOLAND-MODE-IS-PROCESSING ?T-1))
                (AUTOLAND-MODE-IS-READY ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-INIT-MISSION-OK-BASICCAMERACONTROL-INIT_OK-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-READY ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-READY ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-INIT-MISSION-OK-BASICCAMERACONTROL-INIT_OK-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-READY ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-READY ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-INIT-MISSION-OK-NAVTOPOINT-INIT_OK-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-READY ?H)
                (NOT (NAVTOPOINT-MODE-IS-PROCESSING ?T-1))
                (NAVTOPOINT-MODE-IS-READY ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-INIT-MISSION-OK-NAVTOPOINT-INIT_OK-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-READY ?H)
                (NOT (NAVTOPOINT-MODE-IS-PROCESSING ?T-1))
                (NAVTOPOINT-MODE-IS-READY ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-INIT-MISSION-OK-DOATPOINTS-INIT_OK-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-READY ?H)
                (NOT (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
                (DOATPOINTS-MODE-IS-READY ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-INIT-MISSION-OK-DOATPOINTS-INIT_OK-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-READY ?H)
                (NOT (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
                (DOATPOINTS-MODE-IS-READY ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-INIT-MISSION-OK-PHOTOGRAMETRY-INIT_OK-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY ?C-1 - CALLER ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1)
                      (MATCHES-3 ?O0 ?T-1 CREATED ?C-1) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-READY ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-PROCESSING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-READY ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-INIT-MISSION-OK-PHOTOGRAMETRY-INIT_OK-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY ?C-1 - CALLER )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-PROCESSING ?T-1)
                      (CALLED-BY ?T-1 ?C-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-READY ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-PROCESSING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-READY ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-FLY3D-INIT_FAIL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-FLY3D-FAIL_IN_START_CALL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-AUTOTAKEOFF-INIT_FAIL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-AUTOTAKEOFF-FAIL_IN_START_CALL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-AUTOLAND-INIT_FAIL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-PROCESSING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-AUTOLAND-FAIL_IN_START_CALL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-BASICCAMERACONTROL-INIT_FAIL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-BASICCAMERACONTROL-FAIL_IN_START_CALL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-NAVTOPOINT-INIT_FAIL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-PROCESSING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-NAVTOPOINT-FAIL_IN_START_CALL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-DOATPOINTS-INIT_FAIL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-DOATPOINTS-FAIL_IN_START_CALL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_FAIL-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_FAIL-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                          ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_FAIL-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_FAIL-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                          ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-PHOTOGRAMETRY-INIT_FAIL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-PROCESSING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-INIT-MISSION-FAIL-PHOTOGRAMETRY-FAIL_IN_START_CALL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-INIT-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1)
                      (PHOTOGRAMETRY-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-INIT-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-FLY3D-CALL_START
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-READY ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-READY ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-READY ?H))
                (MISSIONEXEC-MISSION-START-CALL ?H)
                (FLY3D-IN_START_CALL-IS-YES ?T-1)
                (NOT (FLY3D-MODE-IS-READY ?T-1))
                (FLY3D-MODE-IS-RUNNING ?T-1)
                (FLY3D-FSM_EXEC-IS-START ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-AUTOTAKEOFF-CALL_START
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-READY ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-READY ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-READY ?H))
                (MISSIONEXEC-MISSION-START-CALL ?H)
                (AUTOTAKEOFF-IN_START_CALL-IS-YES ?T-1)
                (NOT (AUTOTAKEOFF-MODE-IS-READY ?T-1))
                (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                (AUTOTAKEOFF-FSM_EXEC-IS-START ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-AUTOLAND-CALL_START
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-READY ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-READY ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-READY ?H))
                (MISSIONEXEC-MISSION-START-CALL ?H)
                (AUTOLAND-IN_START_CALL-IS-YES ?T-1)
                (AUTOLAND-FSM_EXEC-IS-START ?T-1)
                (NOT (AUTOLAND-MODE-IS-READY ?T-1))
                (AUTOLAND-MODE-IS-RUNNING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-BASICCAMERACONTROL-CALL_START
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-READY ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-READY ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-READY ?H))
                (MISSIONEXEC-MISSION-START-CALL ?H)
                (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1)
                (NOT (BASICCAMERACONTROL-MODE-IS-READY ?T-1))
                (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                (BASICCAMERACONTROL-FSM_EXEC-IS-START ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-NAVTOPOINT-CALL_START
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-READY ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-READY ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-READY ?H))
                (MISSIONEXEC-MISSION-START-CALL ?H)
                (NAVTOPOINT-FSM_EXEC-IS-START ?T-1)
                (NOT (NAVTOPOINT-MODE-IS-READY ?T-1))
                (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                (NAVTOPOINT-IN_START_CALL-IS-YES ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-DOATPOINTS-CALL_START
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-READY ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-READY ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-READY ?H))
                (MISSIONEXEC-MISSION-START-CALL ?H)
                (NOT (DOATPOINTS-MODE-IS-READY ?T-1))
                (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                (DOATPOINTS-IN_START_CALL-IS-YES ?T-1)
                (DOATPOINTS-FSM_EXEC-IS-START ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-PHOTOGRAMETRY-CALL_START
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-READY ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-READY ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-READY ?H))
                (MISSIONEXEC-MISSION-START-CALL ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-READY ?T-1))
                (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1)
                (PHOTOGRAMETRY-IN_START_CALL-IS-YES ?T-1)
                (PHOTOGRAMETRY-FSM_EXEC-IS-START ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_OK_SYNC
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                         ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_CHECKPOINT12_SYNC-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT12) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-START-MISSION-OK-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_CHECKPOINT12_SYNC-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT20_SYNC-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT20) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-START-MISSION-OK-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT20_SYNC-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_SYNC-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT21) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-START-MISSION-OK-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_SYNC-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_AFTER22_SYNC-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1)
                      (MATCHES-2 ?O0 ?T-1 CHECKPOINT21) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-START-MISSION-OK-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_CHECKPOINT21_AFTER22_SYNC-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (NOT (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1))
                (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (FLY3D-TRAJECTORY-NOT-SENT ?T-1))
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_BUSY_SYNC
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (FLY3D-TRAJECTORY-NOT-SENT ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_BUSY_AFTER22_SYNC
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (FLY3D-IN_START_CALL-IS-YES ?T-1))
                (FLY3D-IN_START_CALL-IS-NO ?T-1)
                (FLY3D-TRAJECTORY-NOT-SENT ?T-1)
                (NOT (FLY3D-FSM_EXEC-IS-ACTION2 ?T-1))
                (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-AUTOTAKEOFF-TAKEOFF_ACTION2
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2 ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (AUTOTAKEOFF-IN_START_CALL-IS-YES ?T-1))
                (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1)
                (NOT (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2 ?T-1))
                (AUTOTAKEOFF-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-AUTOLAND-START_OK
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-START ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (AUTOLAND-FSM_STATE-IS-START_DECOUPLE ?T-1)
                (NOT (AUTOLAND-IN_START_CALL-IS-YES ?T-1))
                (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                (NOT (AUTOLAND-FSM_EXEC-IS-START ?T-1))
                (AUTOLAND-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-BASICCAMERACONTROL-SEQ_POSITION_COMMAND_WAIT_1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-BASICCAMERACONTROL-SEQ_BEARING_COMMAND_WAIT_1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-BASICCAMERACONTROL-CONVERGE_WAIT_WAIT_1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_WAIT
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-BASICCAMERACONTROL-CONVERGE_FINAL_WAIT_WAIT_1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FINAL_WAIT
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-BASICCAMERACONTROL-ENTER_TRACKING_2A
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-BASICCAMERACONTROL-SEQ_TURN_COMMAND_WAIT_1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-BASICCAMERACONTROL-SEQ_LOCK_COMMAND_WAIT_1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-BASICCAMERACONTROL-LOCKED_CAMERA_MODE_ACTION2A
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-BASICCAMERACONTROL-NOT_IN_CONTROL_ACTION2_1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
                (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                (NOT (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION2 ?T-1))
                (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-NAVTOPOINT-START_OK
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-START ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (NAVTOPOINT-FSM_EXEC-IS-START ?T-1))
                (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T-1)
                (NAVTOPOINT-FSM_STATE-IS-START_DECOUPLE ?T-1)
                (NOT (NAVTOPOINT-IN_START_CALL-IS-YES ?T-1))
                (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-DOATPOINTS-ENTER_WAIT_FOR_GO_1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
                (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-DOATPOINTS-RUN_FLY3D_ACTION2_OK_1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
                (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION2 ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION3_1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION3 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
                (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                (NOT (DOATPOINTS-FSM_EXEC-IS-ACTION3 ?T-1))
                (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-OK-PHOTOGRAMETRY-PLAN_TASK_INIT_RETURNED
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1-WAIT ?T-1)
                      (PHOTOGRAMETRY-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-RUNNING ?H)
                (NOT (PHOTOGRAMETRY-FSM_EXEC-IS-ACTION1-WAIT ?T-1))
                (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T-1)
                (NOT (PHOTOGRAMETRY-IN_START_CALL-IS-YES ?T-1))
                (PHOTOGRAMETRY-IN_START_CALL-IS-NO ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-DONE-FLY3D-START_EXIT
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-START ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-DONE-BASICCAMERACONTROL-NOT_IN_CONTROL_EXIT_1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-DONE-DOATPOINTS-START_EXIT
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-START ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-FLY3D-INIT_FAIL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-PROCESSING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-FLY3D-FAIL_IN_START_CALL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-AUTOTAKEOFF-INIT_FAIL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-PROCESSING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-AUTOTAKEOFF-FAIL_IN_START_CALL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-AUTOLAND-INIT_FAIL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-PROCESSING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-AUTOLAND-FAIL_IN_START_CALL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-BASICCAMERACONTROL-INIT_FAIL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-PROCESSING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-BASICCAMERACONTROL-FAIL_IN_START_CALL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-NAVTOPOINT-INIT_FAIL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-PROCESSING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-NAVTOPOINT-FAIL_IN_START_CALL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-DOATPOINTS-INIT_FAIL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-PROCESSING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-DOATPOINTS-FAIL_IN_START_CALL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_FAIL-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_SYNC_FAIL_FAIL-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_SYNC_FAIL_1
                          ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_FAIL-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-DOATPOINTS-EXEC_RUN_TASK_ACTION_ASYNC_FAIL_FAIL-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_MISSION_TASK_ASYNC_FAIL_1
                          ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-PHOTOGRAMETRY-INIT_FAIL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-PROCESSING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-PROCESSING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-START-MISSION-FAIL-PHOTOGRAMETRY-FAIL_IN_START_CALL
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-START-CALL ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1)
                      (PHOTOGRAMETRY-IN_START_CALL-IS-YES ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-START-CALL ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1))
  )

  (:action MISSIONEXEC-MISSION-DONE-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_CANCEL_REACTION1-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_CANCEL_REACTION1-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_CANCEL_REACTION1-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_CANCEL_REACTION1-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-FLY3D-IN_WAIT_TRAJECTORY_END_FCL_FINISHED_REACTION2C-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-FLY3D-IN_WAIT_TRAJECTORY_END_FCL_FINISHED_REACTION2C-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_TRAJECTORY_END ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_2 ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-EXIT-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-EXIT-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-EXIT ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-FLY3D-GOAL_POINT_WAIT_CMD_CONTINUE_EXIT-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-FLY3D-GOAL_POINT_WAIT_CMD_CONTINUE_EXIT-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-FLY3D-GOAL_POINT_WAIT_IDLE_EXIT-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-FLY3D-GOAL_POINT_WAIT_IDLE_EXIT-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-FLY3D-GLOBAL_FCL_CANCEL_REACTION1-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-FLY3D-GLOBAL_FCL_CANCEL_REACTION1-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOTAKEOFF-TAKEOFF_FCL_CANCEL_REACTION1-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOTAKEOFF-TAKEOFF_FCL_CANCEL_REACTION1-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION2_EXIT-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION2_EXIT-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_FINISHED_REACTION2-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_2
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_FINISHED_REACTION2-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_FINISHED_2
                          ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_CANCEL_REACTION1-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_CANCEL_REACTION1-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_CANCEL_1 ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOLAND-MOVE_TO_INIT_POS_ACTION2_EXIT-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOLAND-MOVE_TO_INIT_POS_ACTION2_EXIT-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOLAND-YAW_TO_APPROACH_HEADING_ACTION2_EXIT-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOLAND-YAW_TO_APPROACH_HEADING_ACTION2_EXIT-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-EXIT ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOLAND-READY_TO_LAND_CMD_CANCEL-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-READY_TO_LAND ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOLAND-READY_TO_LAND_CMD_CANCEL-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-READY_TO_LAND ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOLAND-LAND_FCL_FINISHED_REACTION2-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-REACTION_FINISHED_2 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-AUTOLAND-LAND_FCL_FINISHED_REACTION2-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-REACTION_FINISHED_2 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-DONE ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-BASICCAMERACONTROL-TRACKING_IDLE_EXIT-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-BASICCAMERACONTROL-TRACKING_IDLE_EXIT-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-BASICCAMERACONTROL-LOCKED_CAMERA_MODE_IDLE_EXIT-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-BASICCAMERACONTROL-LOCKED_CAMERA_MODE_IDLE_EXIT-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-BASICCAMERACONTROL-NOT_IN_CONTROL_EXIT_2-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-BASICCAMERACONTROL-NOT_IN_CONTROL_EXIT_2-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-BASICCAMERACONTROL-GLOBAL_CMD_STOP-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-BASICCAMERACONTROL-GLOBAL_CMD_STOP-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-NAVTOPOINT-WAIT_FOR_GO_EXIT-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-WAIT_FOR_GO ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-NAVTOPOINT-WAIT_FOR_GO_EXIT-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-WAIT_FOR_GO ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-NAVTOPOINT-FLY_PATH_FLY3D_DONE_2-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_2 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-NAVTOPOINT-FLY_PATH_FLY3D_DONE_2-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_DONE_2 ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-DOATPOINTS-PLAN_PATH_ACTION1_EXIT-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-DOATPOINTS-PLAN_PATH_ACTION1_EXIT-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-DOATPOINTS-NEXT_WAYPOINT_ACTION1_EXIT-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-DOATPOINTS-NEXT_WAYPOINT_ACTION1_EXIT-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-DOATPOINTS-WAIT_FOR_GO_CMD_CANCEL-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-DOATPOINTS-WAIT_FOR_GO_CMD_CANCEL-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-WAIT_FOR_GO ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-NOTHING ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-DONE-PHOTOGRAMETRY-PLAN_TASK_DONE_2-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_2
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 TASK-DONE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-DONE ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-DONE-PHOTOGRAMETRY-PLAN_TASK_DONE_2-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_DONE_2
                          ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-DONE ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_221-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-221)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_221-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_222-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-222)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_222-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_223-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-223)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_TURN_TO_SEGMENT_HEADING_FAIL_SPECIFIC_223-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_SEGMENT_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_SEND_STARTING_YAW_COMMAND_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_ERROR_REACTION1-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-211)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-IN_SEND_STARTING_YAW_COMMAND_FCL_ERROR_REACTION1-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_STARTING_YAW_COMMAND
                          ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_ERROR_REACTION1-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-211)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-IN_WAIT_FOR_YAW_FINISH_FCL_ERROR_REACTION1-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-WAIT_FOR_YAW_FINISH ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SPECIFIC_220-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-220)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_SEND_FIRST_TRAJECTORY_FAIL_SPECIFIC_220-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-IN_SEND_FIRST_TRAJECTORY_FCL_FINISHED_REACTION1-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-213)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-IN_SEND_FIRST_TRAJECTORY_FCL_FINISHED_REACTION1-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-SEND_FIRST_TRAJECTORY ?T-1)
                      (FLY3D-FSM_EXEC-IS-REACTION_FINISHED_1 ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_TURN_TO_GOAL_HEADING_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_TURN_TO_GOAL_HEADING_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-FAIL-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-FAIL ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-214)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_TURN_TO_GOAL_HEADING_ACTION2-FAIL-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-TURN_TO_GOAL_HEADING ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION2-FAIL ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_GOAL_POINT_WAIT_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-ENTER_GOAL_POINT_WAIT_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_STATE-IS-GOAL_POINT_WAIT ?T-1)
                      (FLY3D-FSM_EXEC-IS-ACTION1 ?T-1)
                      (FLY3D-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-GLOBAL_FCL_ERROR_REACTION1-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-210)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-FLY3D-GLOBAL_FCL_ERROR_REACTION1-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-RUNNING ?T-1)
                      (FLY3D-FSM_EXEC-IS-GLOBAL_REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (FLY3D-MODE-IS-RUNNING ?T-1))
                (FLY3D-MODE-IS-FAILED ?T-1) (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOTAKEOFF-TAKEOFF_FCL_ERROR_REACTION1-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-210)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOTAKEOFF-TAKEOFF_FCL_ERROR_REACTION1-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-TAKEOFF ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_FAIL_SPECIFIC_101-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-101)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_FAIL_SPECIFIC_101-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_FAIL_SPECIFIC_102-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-102)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_ACTION1_FAIL_SPECIFIC_102-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_CLIMB_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-CLIMB ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_CLIMB_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-ACTION2-CLIMB ?T-1)
                      (AUTOTAKEOFF-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_ERROR_REACTION-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-210)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOTAKEOFF-GO_TO_FINAL_ALTITUDE_FCL_ERROR_REACTION-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1)
                      (AUTOTAKEOFF-FSM_STATE-IS-GO_TO_FINAL_ALTITUDE
                          ?T-1)
                      (AUTOTAKEOFF-FSM_EXEC-IS-REACTION_ERROR_1 ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-RUNNING ?T-1))
                (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOLAND-MOVE_TO_INIT_POS_ACTION1_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOLAND-MOVE_TO_INIT_POS_ACTION1_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOLAND-MOVE_TO_INIT_POS_ACTION1_FAIL_SPECIFIC_101-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-101)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOLAND-MOVE_TO_INIT_POS_ACTION1_FAIL_SPECIFIC_101-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOLAND-MOVE_TO_INIT_POS_ACTION1_FAIL_SPECIFIC_102-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-102)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOLAND-MOVE_TO_INIT_POS_ACTION1_FAIL_SPECIFIC_102-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOLAND-MOVE_TO_INIT_POS_ACTION2_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOLAND-MOVE_TO_INIT_POS_ACTION2_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOLAND-MOVE_TO_INIT_POS_ACTION2_FAIL-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-212)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOLAND-MOVE_TO_INIT_POS_ACTION2_FAIL-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-MOVE_TO_INIT_POS ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOLAND-YAW_TO_APPROACH_HEADING_ACTION2_FAIL-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-212)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOLAND-YAW_TO_APPROACH_HEADING_ACTION2_FAIL-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-YAW_TO_APPROACH_HEADING
                          ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION2-FAIL ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOLAND-LAND_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-AUTOLAND-LAND_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-RUNNING ?T-1)
                      (AUTOLAND-FSM_STATE-IS-LAND ?T-1)
                      (AUTOLAND-FSM_EXEC-IS-ACTION1 ?T-1)
                      (AUTOLAND-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (AUTOLAND-MODE-IS-RUNNING ?T-1))
                (AUTOLAND-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-START_TRACKING_POSITION_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-START_TRACKING_POSITION_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-START_TRACKING_POSITION_FAIL_101-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-101)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-START_TRACKING_POSITION_FAIL_101-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-START_TRACKING_POSITION_FAIL_102-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-102)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-START_TRACKING_POSITION_FAIL_102-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-START_TRACKING_POSITION
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-SEQ_POSITION_COMMAND_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-SEQ_POSITION_COMMAND_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_POSITION_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-SEQ_BEARING_COMMAND_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-SEQ_BEARING_COMMAND_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_BEARING_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-CONVERGE_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-CONVERGE_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-CONVERGE_FAILED_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-CONVERGE_FAILED_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-CONVERGE_FAILED_FAIL_310-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-310)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-CONVERGE_FAILED_FAIL_310-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-CONVERGE_FAILED
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-TRACKING_IDLE_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-TRACKING_IDLE_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-TRACKING ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-SET_LOCKED_MODE_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-SET_LOCKED_MODE_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SET_LOCKED_MODE
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-SEQ_TURN_COMMAND_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-SEQ_TURN_COMMAND_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-SEQ_TURN_COMMAND_FAIL_401-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-401)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-SEQ_TURN_COMMAND_FAIL_401-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-SEQ_TURN_COMMAND_FAIL_402-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-402)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-SEQ_TURN_COMMAND_FAIL_402-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_TURN_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-SEQ_LOCK_COMMAND_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-SEQ_LOCK_COMMAND_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-SEQ_LOCK_COMMAND
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-LOCKED_CAMERA_MODE_IDLE_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-LOCKED_CAMERA_MODE_IDLE_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-LOCKED_CAMERA_MODE
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-NOT_IN_CONTROL_FAIL-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-700)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-NOT_IN_CONTROL_FAIL-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-ACTION1 ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-NOT_IN_CONTROL_CMD_RESUME_CONTROL_FAIL-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-BASICCAMERACONTROL-NOT_IN_CONTROL_CMD_RESUME_CONTROL_FAIL-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1)
                      (BASICCAMERACONTROL-FSM_STATE-IS-NOT_IN_CONTROL
                          ?T-1)
                      (BASICCAMERACONTROL-FSM_EXEC-IS-NOTHING ?T-1)
                      (BASICCAMERACONTROL-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-RUNNING ?T-1))
                (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-PLAN_PATH_ACTION1_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-PLAN_PATH_ACTION1_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-PLAN_PATH_ACTION1_FAIL_SPECIFIC_101-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-101)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-PLAN_PATH_ACTION1_FAIL_SPECIFIC_101-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-PLAN_PATH_ACTION1_FAIL_SPECIFIC_102-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-102)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-PLAN_PATH_ACTION1_FAIL_SPECIFIC_102-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SPECIFIC_402-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-402)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SPECIFIC_402-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SPECIFIC_403-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-403)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SPECIFIC_403-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SPECIFIC_404-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-404)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-PLAN_PATH_ACTION2_FAIL_SPECIFIC_404-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION2 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-FLY_PATH_ACTION1_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-FLY_PATH_ACTION1_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-FLY_PATH_ACTION1_FAIL_PROXY_INIT-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-FLY_PATH_ACTION1_FAIL_PROXY_INIT-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-ACTION1 ?T-1)
                      (NAVTOPOINT-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-FLY_PATH_SUBTASK_FAIL_2-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_2 ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-NAVTOPOINT-FLY_PATH_SUBTASK_FAIL_2-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-RUNNING ?T-1)
                      (NAVTOPOINT-FSM_STATE-IS-FLY_PATH ?T-1)
                      (NAVTOPOINT-FSM_EXEC-IS-REACTION_F3D_FAIL_2 ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (NAVTOPOINT-MODE-IS-RUNNING ?T-1))
                (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_202-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-202)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_202-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_203-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-203)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-PLAN_PATH_ACTION1_FAIL_203-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-PLAN_PATH ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-NEXT_WAYPOINT_ACTION1_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-NEXT_WAYPOINT_ACTION1_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-NEXT_WAYPOINT_ACTION1_FAIL_302-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-302)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-NEXT_WAYPOINT_ACTION1_FAIL_302-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-NEXT_WAYPOINT ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-RUN_FLY3D_ACTION1_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-RUN_FLY3D_ACTION1_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-RUN_FLY3D_ACTION1_FAIL_SUBTASK-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-RUN_FLY3D_ACTION1_FAIL_SUBTASK-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-RUN_FLY3D_FAILED2-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_2
                          ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-RUN_FLY3D_FAILED2-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-RUN_FLY3D ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-REACTION_FLY3D_FAILED_2
                          ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-EXEC_WAYPOINT_ACTION_ACTION1_FAIL_301-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-301)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-EXEC_WAYPOINT_ACTION_ACTION1_FAIL_301-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_WAYPOINT_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_FAIL_SUBTASK-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-EXEC_RUN_TASK_ACTION_ACTION1_FAIL_SUBTASK-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-EXEC_RUN_TASK_ACTION
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-SEQ_EMERGENCY_BRAKE_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-SEQ_EMERGENCY_BRAKE_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-SEQ_EMERGENCY_BRAKE
                          ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-CHECK_POSITION_FAIL_SERVICE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SERVICE) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-CHECK_POSITION_FAIL_SERVICE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-CHECK_POSITION_FAIL_101-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-101)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-CHECK_POSITION_FAIL_101-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-CHECK_POSITION_FAIL_777-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-777)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-DOATPOINTS-CHECK_POSITION_FAIL_777-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-RUNNING ?T-1)
                      (DOATPOINTS-FSM_STATE-IS-CHECK_POSITION ?T-1)
                      (DOATPOINTS-FSM_EXEC-IS-ACTION1 ?T-1)
                      (DOATPOINTS-IN_START_CALL-IS-NO ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (DOATPOINTS-MODE-IS-RUNNING ?T-1))
                (DOATPOINTS-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-PHOTOGRAMETRY-PLAN_TASK_READY_START_FAIL-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T-1)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-READY ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-PHOTOGRAMETRY-PLAN_TASK_READY_START_FAIL-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-NOTHING ?T-1)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-READY ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-PHOTOGRAMETRY-PLAN_TASK_READY_START_NOT_RUNNING_1-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_READY
                          ?T-1)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-219)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-PHOTOGRAMETRY-PLAN_TASK_READY_START_NOT_RUNNING_1-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_READY
                          ?T-1)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-DONE ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-PHOTOGRAMETRY-PLAN_TASK_READY_START_NOT_RUNNING_2-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_READY
                          ?T-1)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SPECIFIC-219)
                      (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-PHOTOGRAMETRY-PLAN_TASK_READY_START_NOT_RUNNING_2-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_READY
                          ?T-1)
                      (PHOTOGRAMETRY-PLAN_TASK_STATUS-IS-INIT_FAILED
                          ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-MISSION-FAILED-PHOTOGRAMETRY-PLAN_TASK_FAILED_2-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_2
                          ?T-1)
                      (MATCHES-2 ?O0 ?T-1 FAIL-SUBTASK) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-MISSION-FAILED-PHOTOGRAMETRY-PLAN_TASK_FAILED_2-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-RUNNING ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1)
                      (PHOTOGRAMETRY-FSM_EXEC-IS-REACTION_PLAN_TASK_FAILED_2
                          ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-RUNNING ?H))
                (MISSIONEXEC-MISSION-OVER ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-RUNNING ?T-1))
                (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-FLY3D-CALL_DESTROY_WHEN_DONE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-FLY3D-CALL_DESTROY_WHEN_DONE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (FLY3D-MODE-IS-DONE ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-FLY3D-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-FLY3D-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - FLY3D )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (FLY3D-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (FLY3D-MODE-IS-FAILED ?T-1))
                (FLY3D-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-AUTOTAKEOFF-CALL_DESTROY_WHEN_DONE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-AUTOTAKEOFF-CALL_DESTROY_WHEN_DONE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-DONE ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-AUTOTAKEOFF-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-AUTOTAKEOFF-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOTAKEOFF )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (AUTOTAKEOFF-MODE-IS-FAILED ?T-1))
                (AUTOTAKEOFF-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-AUTOLAND-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (AUTOLAND-MODE-IS-FAILED ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-AUTOLAND-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (AUTOLAND-MODE-IS-FAILED ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-AUTOLAND-CALL_DESTROY_WHEN_DONE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (AUTOLAND-MODE-IS-DONE ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-AUTOLAND-CALL_DESTROY_WHEN_DONE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - AUTOLAND )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (AUTOLAND-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (AUTOLAND-MODE-IS-DONE ?T-1))
                (AUTOLAND-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-BASICCAMERACONTROL-CALL_DESTROY_WHEN_DONE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-BASICCAMERACONTROL-CALL_DESTROY_WHEN_DONE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-DONE ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-BASICCAMERACONTROL-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-BASICCAMERACONTROL-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - BASICCAMERACONTROL )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (BASICCAMERACONTROL-MODE-IS-FAILED ?T-1))
                (BASICCAMERACONTROL-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-NAVTOPOINT-CALL_DESTROY_WHEN_DONE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (NAVTOPOINT-MODE-IS-DONE ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-NAVTOPOINT-CALL_DESTROY_WHEN_DONE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (NAVTOPOINT-MODE-IS-DONE ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-NAVTOPOINT-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (NAVTOPOINT-MODE-IS-FAILED ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-NAVTOPOINT-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - NAVTOPOINT )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (NAVTOPOINT-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (NAVTOPOINT-MODE-IS-FAILED ?T-1))
                (NAVTOPOINT-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-DOATPOINTS-CALL_DESTROY_WHEN_DONE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-DOATPOINTS-CALL_DESTROY_WHEN_DONE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (DOATPOINTS-MODE-IS-DONE ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1) (NOT (PENDING ?O0))
                (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-DOATPOINTS-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - DOATPOINTS )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (DOATPOINTS-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (DOATPOINTS-MODE-IS-FAILED ?T-1))
                (DOATPOINTS-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-PHOTOGRAMETRY-CALL_DESTROY_WHEN_DONE-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-DONE ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-DONE ?T-1))
                (PHOTOGRAMETRY-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-PHOTOGRAMETRY-CALL_DESTROY_WHEN_DONE-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-DONE ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-DONE ?T-1))
                (PHOTOGRAMETRY-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-PHOTOGRAMETRY-CALL_DESTROY_WHEN_FAILED-0
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY ?O0 - OBSERVATION )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1)
                      (MATCHES-2 ?O0 ?T-1 DESTROYED) (PENDING ?O0))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1))
                (PHOTOGRAMETRY-MODE-IS-DESTROYED ?T-1)
                (NOT (PENDING ?O0)) (OBSERVED ?O0))
  )

  (:action MISSIONEXEC-DESTROY-MISSION-PHOTOGRAMETRY-CALL_DESTROY_WHEN_FAILED-1
   :parameters (?H - HELICOPTER ?T - TASK ?T-1 - PHOTOGRAMETRY )
   :precondition (AND (= ?T-1 ?T) (TASK-RUNNING-ON ?T ?H)
                      (MISSIONEXEC-MISSION-OVER ?H)
                      (MISSIONEXEC-ACTIVE-MISSION ?H ?T)
                      (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1))
   :effect (AND (NOT (MISSIONEXEC-MISSION-OVER ?H))
                (MISSIONEXEC-MISSION-IDLE ?H)
                (NOT (PHOTOGRAMETRY-MODE-IS-FAILED ?T-1))
                (PHOTOGRAMETRY-MODE-IS-DESTROYED ?T-1)
                (INCREASE (TOTAL-COST) 1))
  )

  (:action ADVANCE-TO-OBS-1
   :parameters (?O - OBSERVATION ?O1 - OBSERVATION )
   :precondition (AND (FUTURE ?O) (PRECEDES-1 ?O ?O1) (OBSERVED ?O1))
   :effect (AND (NOT (FUTURE ?O)) (PENDING ?O))
  )

  (:action ADVANCE-TO-OBS-2
   :parameters (?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION )
   :precondition (AND (FUTURE ?O) (PRECEDES-2 ?O ?O1 ?O2)
                      (OBSERVED ?O1) (OBSERVED ?O2))
   :effect (AND (NOT (FUTURE ?O)) (PENDING ?O))
  )

  (:action ADVANCE-TO-OBS-3
   :parameters (?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3 - OBSERVATION )
   :precondition (AND (FUTURE ?O) (PRECEDES-3 ?O ?O1 ?O2 ?O3)
                      (OBSERVED ?O1) (OBSERVED ?O2) (OBSERVED ?O3))
   :effect (AND (NOT (FUTURE ?O)) (PENDING ?O))
  )

  (:action ADVANCE-TO-OBS-4
   :parameters (?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3 - OBSERVATION ?O4 - OBSERVATION )
   :precondition (AND (FUTURE ?O) (PRECEDES-4 ?O ?O1 ?O2 ?O3 ?O4)
                      (OBSERVED ?O1) (OBSERVED ?O2) (OBSERVED ?O3)
                      (OBSERVED ?O4))
   :effect (AND (NOT (FUTURE ?O)) (PENDING ?O))
  )

  (:action ADVANCE-TO-OBS-5
   :parameters (?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3 - OBSERVATION ?O4 - OBSERVATION ?O5 - OBSERVATION )
   :precondition (AND (FUTURE ?O) (PRECEDES-5 ?O ?O1 ?O2 ?O3 ?O4 ?O5)
                      (OBSERVED ?O1) (OBSERVED ?O2) (OBSERVED ?O3)
                      (OBSERVED ?O4) (OBSERVED ?O5))
   :effect (AND (NOT (FUTURE ?O)) (PENDING ?O))
  )

  (:action ADVANCE-TO-OBS-6
   :parameters (?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3 - OBSERVATION ?O4 - OBSERVATION ?O5 - OBSERVATION ?O6 - OBSERVATION )
   :precondition (AND (FUTURE ?O)
                      (PRECEDES-6 ?O ?O1 ?O2 ?O3 ?O4 ?O5 ?O6)
                      (OBSERVED ?O1) (OBSERVED ?O2) (OBSERVED ?O3)
                      (OBSERVED ?O4) (OBSERVED ?O5) (OBSERVED ?O6))
   :effect (AND (NOT (FUTURE ?O)) (PENDING ?O))
  )

  (:action ADVANCE-TO-OBS-7
   :parameters (?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3 - OBSERVATION ?O4 - OBSERVATION ?O5 - OBSERVATION ?O6 - OBSERVATION ?O7 - OBSERVATION )
   :precondition (AND (FUTURE ?O)
                      (PRECEDES-7 ?O ?O1 ?O2 ?O3 ?O4 ?O5 ?O6 ?O7)
                      (OBSERVED ?O1) (OBSERVED ?O2) (OBSERVED ?O3)
                      (OBSERVED ?O4) (OBSERVED ?O5) (OBSERVED ?O6)
                      (OBSERVED ?O7))
   :effect (AND (NOT (FUTURE ?O)) (PENDING ?O))
  )

  (:action ADVANCE-TO-OBS-8
   :parameters (?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3 - OBSERVATION ?O4 - OBSERVATION ?O5 - OBSERVATION ?O6 - OBSERVATION ?O7 - OBSERVATION ?O8 - OBSERVATION )
   :precondition (AND (FUTURE ?O)
                      (PRECEDES-8 ?O ?O1 ?O2 ?O3 ?O4 ?O5 ?O6 ?O7 ?O8)
                      (OBSERVED ?O1) (OBSERVED ?O2) (OBSERVED ?O3)
                      (OBSERVED ?O4) (OBSERVED ?O5) (OBSERVED ?O6)
                      (OBSERVED ?O7) (OBSERVED ?O8))
   :effect (AND (NOT (FUTURE ?O)) (PENDING ?O))
  )

  (:action ADVANCE-TO-OBS-9
   :parameters (?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3 - OBSERVATION ?O4 - OBSERVATION ?O5 - OBSERVATION ?O6 - OBSERVATION ?O7 - OBSERVATION ?O8 - OBSERVATION ?O9 - OBSERVATION )
   :precondition (AND (FUTURE ?O)
                      (PRECEDES-9 ?O ?O1 ?O2 ?O3 ?O4 ?O5 ?O6 ?O7 ?O8
                          ?O9)
                      (OBSERVED ?O1) (OBSERVED ?O2) (OBSERVED ?O3)
                      (OBSERVED ?O4) (OBSERVED ?O5) (OBSERVED ?O6)
                      (OBSERVED ?O7) (OBSERVED ?O8) (OBSERVED ?O9))
   :effect (AND (NOT (FUTURE ?O)) (PENDING ?O))
  )

  (:action ADVANCE-TO-OBS-10
   :parameters (?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3 - OBSERVATION ?O4 - OBSERVATION ?O5 - OBSERVATION ?O6 - OBSERVATION ?O7 - OBSERVATION ?O8 - OBSERVATION ?O9 - OBSERVATION ?O10 - OBSERVATION )
   :precondition (AND (FUTURE ?O)
                      (PRECEDES-10 ?O ?O1 ?O2 ?O3 ?O4 ?O5 ?O6 ?O7 ?O8
                          ?O9 ?O10)
                      (OBSERVED ?O1) (OBSERVED ?O2) (OBSERVED ?O3)
                      (OBSERVED ?O4) (OBSERVED ?O5) (OBSERVED ?O6)
                      (OBSERVED ?O7) (OBSERVED ?O8) (OBSERVED ?O9)
                      (OBSERVED ?O10))
   :effect (AND (NOT (FUTURE ?O)) (PENDING ?O))
  )

  (:action ADVANCE-TO-OBS-11
   :parameters (?O - OBSERVATION ?O1 - OBSERVATION ?O2 - OBSERVATION ?O3 - OBSERVATION ?O4 - OBSERVATION ?O5 - OBSERVATION ?O6 - OBSERVATION ?O7 - OBSERVATION ?O8 - OBSERVATION ?O9 - OBSERVATION ?O10 - OBSERVATION ?O11 - OBSERVATION )
   :precondition (AND (FUTURE ?O)
                      (PRECEDES-11 ?O ?O1 ?O2 ?O3 ?O4 ?O5 ?O6 ?O7 ?O8
                          ?O9 ?O10 ?O11)
                      (OBSERVED ?O1) (OBSERVED ?O2) (OBSERVED ?O3)
                      (OBSERVED ?O4) (OBSERVED ?O5) (OBSERVED ?O6)
                      (OBSERVED ?O7) (OBSERVED ?O8) (OBSERVED ?O9)
                      (OBSERVED ?O10) (OBSERVED ?O11))
   :effect (AND (NOT (FUTURE ?O)) (PENDING ?O))
  )
 )
